Sync with portage [Thu Aug 23 00:27:15 MSK 2018].

mhiretskiy
root 6 years ago
parent fa92eea052
commit e9ffc64af0

Binary file not shown.

Binary file not shown.

@ -10,7 +10,7 @@ SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ~ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc64-solaris ~x64-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ia64 ~mips ~ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc64-solaris ~x64-solaris"
IUSE="libressl ssl"
RESTRICT="test"

@ -1,2 +1,3 @@
DIST dxf-7.3.0.tar.gz 298408 BLAKE2B a8ba078d1bea8fed58df35562af678f902513f4da18123a3eabb52a707b7973358a7690d309b3b7d86fadc4086856580792177525b4e7e217da4542249e83663 SHA512 2bb16a41990f572c3352f708438e67550cc089c078296c765fcffec4ada60f40f097bfcdf4def3c57a0e6c1db31d2ab9020407b2c165509f132e51cc93af8205
DIST dxf-7.4.0.tar.gz 300099 BLAKE2B a3d17709efed3af5be82b1bf4ebd4201101e92867f714355467d72b84d560cddcf13a9ad2b4b71553decfc664f29c7ee13f74d551092d8a3a25dc48eea9a4214 SHA512 7aaa5827c6f02bb22b4d2dae9e24aa921ecebe72fe8278d3fc84f48448c1f903c0b70c22873d2772f3da5367ecc45770b8719c4d1aa95cac146a392bd9a923d2
DIST dxf-7.4.1.tar.gz 300216 BLAKE2B 53452e73a10912a09e912fc0710fcdd1b0a6be4f78e95c704526852deacf5a7bfd2d3b73bc165f178f732249a64547e13bf9f58f77159c31908e954d6d3a4161 SHA512 a7a2ba4da675f1dea73f2e3d7db63804eb2b68cbb859e43235997b3bc5b8e7ef209705935182ae33d4b28cec5857d2ede738375e19df72134a5695190fd609a1

@ -0,0 +1,29 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
DESCRIPTION="Docker registry v2 client in Python"
HOMEPAGE="https://github.com/davedoesdev/dxf"
SRC_URI="https://github.com/davedoesdev/dxf/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RDEPEND=">=dev-python/jwcrypto-0.4.2[${PYTHON_USEDEP}]
>=dev-python/requests-2.18.4[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/tqdm-4.19.4[${PYTHON_USEDEP}]
>=dev-python/www-authenticate-0.9.2[${PYTHON_USEDEP}]"
RESTRICT="test"
# Require dockerd running
python_test() {
emake test
}

@ -1,2 +1,3 @@
DIST mcollective-2.12.1.tar.gz 1517946 BLAKE2B 785acc53a4854f47caebe1d6a5f9cc850c3c33fd21e1b6e57d0d9761b2a7a3bbab2f2df398aa5344d90bc11397a545c8663d60ff3b2f6ff835fdc619d874928e SHA512 2398fb0202d8d5669a6efa81d96a87ee7e9221c1bc1b2e5be1917f2fec2527879b34be8df8c3052acf0ed58074b2da185f0837889d9300bde190bc95e8237d9a
DIST mcollective-2.12.2.tar.gz 1517725 BLAKE2B e5f2b94843b95fa0749ed7e3e1ae52aeb485bf6644b64d971efd7d7a0e7bc806de0d2b00997c7e36d004fd78c479b9cf19b927e717ad0f3e4c13e820e5481637 SHA512 83be835499adf836797a67adda9be6d1bbf32524560ae51533875a1e2507599c7a0a1d2a76513669b919cf1eeceabdf13162eedb8972c74ecdeba5427b1701e4
DIST mcollective-2.12.3.tar.gz 1516461 BLAKE2B f8fa65ffadb98ae3511416aaf8b0875486b75f20e4da4007ad70820f453a6ecd81b57d7aa30ae38b014b984330f6c4d525002a54edb2c00d629b6fd4b2250049 SHA512 55798d4579a6be8a7790b046f8b4e72607935c83ec874b6147258d827e0bf279f08dfa121d7cc4a8ed922986aa6bad9ebd62b7e3cbc1e7ef526cf58edce1bcdc

@ -0,0 +1,60 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
USE_RUBY="ruby23 ruby24 ruby25"
inherit ruby-ng
DESCRIPTION="Framework to build server orchestration or parallel job execution
systems"
HOMEPAGE="https://docs.puppet.com/mcollective/"
SRC_URI="https://github.com/puppetlabs/marionette-collective/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/all/marionette-collective-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc +client"
DEPEND=""
RDEPEND=">=dev-ruby/stomp-1.4.4"
src_compile() {
einfo "nothing to compile"
}
each_ruby_install() {
cd "marionette-collective-${PV}"
doruby -r lib/*
insinto /usr/share/mcollective
use client && dosbin bin/mco
dosbin bin/mcollectived
if use doc ; then
dohtml -r doc/*
insinto /usr/share/doc/${P}/ext
doins -r ext/*
fi
newinitd "${FILESDIR}"/mcollectived.initd mcollectived
insinto /etc/mcollective
cd etc
for cfg in *.dist ; do
newins "${cfg}" "${cfg%%.dist}"
sed -i -e "s:^libdir.*:libdir = /usr/share/mcollective/plugins:" \
"${D}"/etc/mcollective/${cfg%%.dist} || die "sed failed"
done
insinto /etc/mcollective/plugin.d
}
pkg_postinst() {
einfo "Mcollective requires a stomp server installed and functioning before"
einfo "you can use it. The recommended server to use is ActiveMQ [1] but"
einfo "any other stomp compatible server should work."
einfo
einfo "It is recommended you read the \'getting started\' guide [2] if this"
einfo "is a new installation"
einfo
einfo "[1] https://activemq.apache.org/"
einfo "[2] https://code.google.com/p/mcollective/wiki/GettingStarted"
}

@ -23,7 +23,7 @@ if [[ ${PV} != "9999" ]] ; then
SRC_URI="https://www.sudo.ws/sudo/dist/${uri_prefix}${MY_P}.tar.gz
ftp://ftp.sudo.ws/pub/sudo/${uri_prefix}${MY_P}.tar.gz"
if [[ ${PV} != *_beta* ]] && [[ ${PV} != *_rc* ]] ; then
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~sparc-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc ~x86 ~amd64-fbsd ~x86-fbsd ~sparc-solaris"
fi
fi

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}-src.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 s390 ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ia64 ~mips ppc ppc64 s390 ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="debug nls libressl ssl static-libs"
RDEPEND="

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/trousers/${PN}/${P}.tar.gz"
LICENSE="CPL-1.0"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~m68k ~s390 ~sh x86"
KEYWORDS="amd64 ~arm arm64 ~m68k ~s390 ~sh x86"
IUSE="libressl nls pkcs11 debug"
COMMON_DEPEND="

Binary file not shown.

@ -1,3 +1,3 @@
(add-to-list 'load-path "@SITELISP")
(add-to-list 'load-path "@SITELISP@")
(autoload 'stripes-mode "stripes" "Toggle Color alternation mode." t)
(autoload 'turn-on-stripes-mode "stripes" "Turn on color alternation mode." t)

@ -1,7 +1,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=7
inherit elisp

Binary file not shown.

@ -1,2 +1,3 @@
DIST lxc-2.1.1.tar.gz 1378640 BLAKE2B 5fca516540a886729434579ff99acf3baa06977fa0e0b6f24dbf15094626335fc073597d308276e3dd20e27ceabf1477cc8e99d1fd24cf50b9aed2720b887b69 SHA512 2989d57acddfe091adcf8031721c3c9a2f8eff5476bd6155366b76ea7511e0f6120e669276e056e3963863e0f0acf3b095d44c36fa6652e67c197671f28cbdd4
DIST lxc-3.0.1.tar.gz 1239920 BLAKE2B 7be668c11d7211540fe7e2fb6318d38eac0d8d493914f4705d097fca4c004a8d2191609d02bd9e1d9204c3c0b9ea937084d3f9050fc841f6d777768067af3d19 SHA512 f51b0844f61f64d4efc530454eae1fa499f7f1b908bd3b40d7031e7f311a402893a7504bddbc53f2ef9da2b3154d1b047fc4d876b99f0d487d7c79de64eea505
DIST lxc-3.0.2.tar.gz 1236975 BLAKE2B 68047f6374b9081fb308586726797ed94fa66b5e94eb3fc12ad1a0aedc15ac1ee518ca5a341db79a715015e34ad38659200ad6aaf21f74639ebb55e7e1360645 SHA512 d7f5e3f91e5c8800e3e092ab209158a4d3e3c2816623249aeaaf2e0950428484ac5d1432d71298787721e1419cd962c0798ba14979e62161299fa15a299efde8

@ -0,0 +1,158 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools bash-completion-r1 linux-info flag-o-matic systemd readme.gentoo-r1 pam
DESCRIPTION="LinuX Containers userspace utilities"
HOMEPAGE="https://linuxcontainers.org/"
SRC_URI="https://linuxcontainers.org/downloads/lxc/${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
LICENSE="LGPL-3"
SLOT="0"
IUSE="apparmor examples pam python seccomp selinux +templates"
RDEPEND="
net-libs/gnutls
sys-libs/libcap
pam? ( virtual/pam )
seccomp? ( sys-libs/libseccomp )
selinux? ( sys-libs/libselinux )"
DEPEND="${RDEPEND}
>=app-text/docbook-sgml-utils-0.6.14-r2
>=sys-kernel/linux-headers-3.2"
RDEPEND="${RDEPEND}
sys-apps/util-linux
app-misc/pax-utils
virtual/awk"
PDEPEND="templates? ( app-emulation/lxc-templates )
python? ( dev-python/python3-lxc )"
CONFIG_CHECK="~CGROUPS ~CGROUP_DEVICE
~CPUSETS ~CGROUP_CPUACCT
~CGROUP_SCHED
~NAMESPACES
~IPC_NS ~USER_NS ~PID_NS
~CGROUP_FREEZER
~UTS_NS ~NET_NS
~VETH ~MACVLAN
~POSIX_MQUEUE
~!NETPRIO_CGROUP
~!GRKERNSEC_CHROOT_MOUNT
~!GRKERNSEC_CHROOT_DOUBLE
~!GRKERNSEC_CHROOT_PIVOT
~!GRKERNSEC_CHROOT_CHMOD
~!GRKERNSEC_CHROOT_CAPS
~!GRKERNSEC_PROC
~!GRKERNSEC_SYSFS_RESTRICT
~!GRKERNSEC_CHROOT_FINDTASK
"
ERROR_DEVPTS_MULTIPLE_INSTANCES="CONFIG_DEVPTS_MULTIPLE_INSTANCES: needed for pts inside container"
ERROR_CGROUP_FREEZER="CONFIG_CGROUP_FREEZER: needed to freeze containers"
ERROR_UTS_NS="CONFIG_UTS_NS: needed to unshare hostnames and uname info"
ERROR_NET_NS="CONFIG_NET_NS: needed for unshared network"
ERROR_VETH="CONFIG_VETH: needed for internal (host-to-container) networking"
ERROR_MACVLAN="CONFIG_MACVLAN: needed for internal (inter-container) networking"
ERROR_POSIX_MQUEUE="CONFIG_POSIX_MQUEUE: needed for lxc-execute command"
ERROR_NETPRIO_CGROUP="CONFIG_NETPRIO_CGROUP: as of kernel 3.3 and lxc 0.8.0_rc1 this causes LXCs to fail booting."
ERROR_GRKERNSEC_CHROOT_MOUNT="CONFIG_GRKERNSEC_CHROOT_MOUNT: some GRSEC features make LXC unusable see postinst notes"
ERROR_GRKERNSEC_CHROOT_DOUBLE="CONFIG_GRKERNSEC_CHROOT_DOUBLE: some GRSEC features make LXC unusable see postinst notes"
ERROR_GRKERNSEC_CHROOT_PIVOT="CONFIG_GRKERNSEC_CHROOT_PIVOT: some GRSEC features make LXC unusable see postinst notes"
ERROR_GRKERNSEC_CHROOT_CHMOD="CONFIG_GRKERNSEC_CHROOT_CHMOD: some GRSEC features make LXC unusable see postinst notes"
ERROR_GRKERNSEC_CHROOT_CAPS="CONFIG_GRKERNSEC_CHROOT_CAPS: some GRSEC features make LXC unusable see postinst notes"
ERROR_GRKERNSEC_PROC="CONFIG_GRKERNSEC_PROC: this GRSEC feature is incompatible with unprivileged containers"
ERROR_GRKERNSEC_SYSFS_RESTRICT="CONFIG_GRKERNSEC_SYSFS_RESTRICT: this GRSEC feature is incompatible with unprivileged containers"
DOCS=(AUTHORS CONTRIBUTING MAINTAINERS NEWS README doc/FAQ.txt)
pkg_setup() {
kernel_is -lt 4 7 && CONFIG_CHECK="${CONFIG_CHECK} ~DEVPTS_MULTIPLE_INSTANCES"
linux-info_pkg_setup
}
PATCHES=(
"${FILESDIR}"/${PN}-3.0.0-bash-completion.patch
"${FILESDIR}"/${PN}-2.0.5-omit-sysconfig.patch # bug 558854
)
src_configure() {
append-flags -fno-strict-aliasing
# --enable-doc is for manpages which is why we don't link it to a "doc"
# USE flag. We always want man pages.
local myeconfargs=(
--localstatedir=/var
--bindir=/usr/bin
--sbindir=/usr/bin
--with-config-path=/var/lib/lxc
--with-rootfs-path=/var/lib/lxc/rootfs
--with-distro=gentoo
--with-runtime-path=/run
--disable-apparmor
--disable-werror
--enable-doc
$(use_enable apparmor)
$(use_enable examples)
$(use_enable pam)
$(use_with pam pamdir $(getpam_mod_dir))
$(use_enable seccomp)
$(use_enable selinux)
)
econf "${myeconfargs[@]}"
}
src_install() {
default
mv "${ED}"/usr/share/bash-completion/completions/${PN} "${ED}"/$(get_bashcompdir)/${PN}-start || die
bashcomp_alias ${PN}-start \
${PN}-{attach,cgroup,copy,console,create,destroy,device,execute,freeze,info,monitor,snapshot,stop,unfreeze,wait}
keepdir /etc/lxc /var/lib/lxc/rootfs /var/log/lxc
rmdir "${D}"/var/cache/lxc "${D}"/var/cache || die "rmdir failed"
find "${D}" -name '*.la' -delete
# Gentoo-specific additions!
newinitd "${FILESDIR}/${PN}.initd.7" ${PN}
# Remember to compare our systemd unit file with the upstream one
# config/init/systemd/lxc.service.in
systemd_newunit "${FILESDIR}"/${PN}_at.service.4 "lxc@.service"
DOC_CONTENTS="
For openrc, there is an init script provided with the package.
You _should_ only need to symlink /etc/init.d/lxc to
/etc/init.d/lxc.configname to start the container defined in
/etc/lxc/configname.conf.
Correspondingly, for systemd a service file lxc@.service is installed.
Enable and start lxc@configname in order to start the container defined
in /etc/lxc/configname.conf.
If you want checkpoint/restore functionality, please install criu
(sys-process/criu)."
DISABLE_AUTOFORMATTING=true
readme.gentoo_create_doc
}
pkg_postinst() {
readme.gentoo_print_elog
}

@ -9,6 +9,7 @@
<name>Gentoo Virtualization Project</name>
</maintainer>
<use>
<flag name="apparmor">Enable AppArmor support</flag>
<flag name="cgmanager">Enable support for cgroup management using <pkg>app-admin/cgmanager</pkg></flag>
<flag name="templates">Install old style templates through <pkg>app-emulation/lxc-templates</pkg></flag>
</use>

@ -0,0 +1,21 @@
From 46620c32ff37a7968c977e4b3cde8d601807702c Mon Sep 17 00:00:00 2001
From: fhorse <punes.development@gmail.com>
Date: Sun, 15 Jul 2018 13:30:15 +0200
Subject: [PATCH] Corretto errore di compilazione con le Qt5.
---
src/gui/dlgCheats.cpp | 1 +
1 file changed, 1 insertion(+)
diff --git a/src/gui/dlgCheats.cpp b/src/gui/dlgCheats.cpp
index 9ff904d2..b7c6c52a 100644
--- a/src/gui/dlgCheats.cpp
+++ b/src/gui/dlgCheats.cpp
@@ -25,6 +25,7 @@
#include <QtWidgets/QMessageBox>
#include <QtWidgets/QCheckBox>
#include <QtWidgets/QFileDialog>
+#include <QtWidgets/QButtonGroup>
#endif
#include "dlgCheats.moc"
#include "mainWindow.hpp"

@ -28,6 +28,8 @@ DEPEND="
S="${WORKDIR}/puNES-${PV}"
PATCHES=( "${FILESDIR}/${P}-qt-5.11-fix.patch" )
src_prepare() {
default

Binary file not shown.

@ -1,3 +1,2 @@
DIST snmp_exporter-0.10.0.tar.gz 3507371 BLAKE2B 8ad65ef8593e08fa1749013dcaf91e985df13ad12a988fb3691fed6436b979ce0edf668844240485437acbe5c19894dd52472e89dcff705a822dc633bde4d36a SHA512 70a1c6f1f3f89a68af71d6b1f2d6975c677e8c9470b9e1d5168c7fa9e60cacef808559b7d318c742704ab0358b7724e14d8583629747c118307381ba80d4bd6c
DIST snmp_exporter-0.11.0.tar.gz 3631252 BLAKE2B 9786a17d667f8e6d45691f9df099f67ce103fbb93c9069ca497e59ff9207de05335fe3fac56d3d3bc0617069eb26a9c5b5682a8ec65c78d7e44303002427e9fa SHA512 a5d671d1bf2a98bbdb6ff85ac84ca5fe8da8d075bb1133aae650e73c45770be0403bcfea93595b2f5bc75b2e50cf96ccada0407d6956b4b5d1dc5b7ff604254a
DIST snmp_exporter-0.9.0.tar.gz 3257207 BLAKE2B 3e7e91d7e66b32e3f84c9e53061f54ffc10116913b91598edfa011663daf2c67314661dbe6cd5b2c20b30968833bd64a48bdd5dd06694e76f1e787d59ad63933 SHA512 eb287f4519f2174a9ce80414c2b7a698bc50e1bcb2303a8190164002af088e0694e01233314cfe2bd89b2cd751f2fd6f8447eb641541701b7bd481373ce084b1
DIST snmp_exporter-0.12.0.tar.gz 3631641 BLAKE2B 4a1be9f51ffd9c2bc7a2eeb853d30499ae967e53980f81a3b14e9d0a201f33b7f3eec76711a4f3d8d54f5f07b74f1f66aab11093e7c0ab076f544da2ac8399f8 SHA512 9da5e4c43bf59562541992456c046063874860f2e7a24f0693b2f5655e0eb6eacd18734a4c932fce01bb535ac7530d71234bfa9d977fcbf15a1468f642e1d157

@ -6,7 +6,7 @@ inherit user golang-build golang-vcs-snapshot
EGO_PN="github.com/prometheus/snmp_exporter"
EGIT_COMMIT="v${PV/_rc/-rc.}"
SNMP_EXPORTER_COMMIT="5c997da"
SNMP_EXPORTER_COMMIT="26b3c85"
ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
@ -33,13 +33,15 @@ src_compile() {
pushd src/${EGO_PN} || die
mkdir -p bin || die
GOPATH="${S}" promu build -v --prefix bin || die
pushd generator || die
GOPATH="${S}" go build -o ../bin/generator . || die
popd || die
}
src_install() {
pushd src/${EGO_PN} || die
dobin bin/snmp_exporter
dodoc {README,CONTRIBUTING}.md
dobin bin/*
dodoc {README,CONTRIBUTING}.md generator/{FORMAT,README}.md generator/generator.yml
insinto /etc/snmp_exporter
newins snmp.yml snmp.yml.example
popd || die

@ -1,50 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit user golang-build golang-vcs-snapshot
EGO_PN="github.com/prometheus/snmp_exporter"
EGIT_COMMIT="v${PV/_rc/-rc.}"
SNMP_EXPORTER_COMMIT="abb143a"
ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
DESCRIPTION="Prometheus exporter for snmp metrics"
HOMEPAGE="https://github.com/prometheus/snmp_exporter"
SRC_URI="${ARCHIVE_URI}"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
DEPEND="dev-util/promu"
pkg_setup() {
enewgroup ${PN}
enewuser ${PN} -1 -1 -1 ${PN}
}
src_prepare() {
default
sed -i -e "s/{{.Revision}}/${SNMP_EXPORTER_COMMIT}/" src/${EGO_PN}/.promu.yml || die
}
src_compile() {
pushd src/${EGO_PN} || die
mkdir -p bin || die
GOPATH="${S}" promu build -v --prefix bin || die
popd || die
}
src_install() {
pushd src/${EGO_PN} || die
dobin bin/snmp_exporter
dodoc {README,CONTRIBUTING}.md
insinto /etc/snmp_exporter
newins snmp.yml snmp.yml.example
popd || die
keepdir /var/lib/snmp_exporter /var/log/snmp_exporter
fowners ${PN}:${PN} /var/lib/snmp_exporter /var/log/snmp_exporter
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newconfd "${FILESDIR}"/${PN}.confd ${PN}
}

Binary file not shown.

@ -0,0 +1,57 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic toolchain-funcs
RESTRICT="strip"
DESCRIPTION="ASCII Client for the IRTrans Server"
HOMEPAGE="http://www.irtrans.de"
SRC_URI="http://www.irtrans.de/download/Client/irclient-src.tar.gz -> irclient-src-${PV}.tar.gz
http://ftp.disconnected-by-peer.at/irtrans/${PN}-5.11.04-ip_assign-1.patch.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~x86 ~amd64 ~arm"
S="${WORKDIR}"
PATCHES=( "${WORKDIR}/${PN}"-5.11.04-ip_assign-1.patch )
src_compile() {
append-flags -DLINUX
# Set sane defaults (arm target has no -D flags added)
local irbuild
local ipbuild
irclient=irclient
ip_assign=ip_assign
# change variable by need
if use amd64; then
irbuild=irclient64
irclient=irclient64
ipbuild=ip_assign64
ip_assign=ip_assign64
elif use arm; then
irbuild=irclient_arm
ipbuild=ip_assign_arm
elif use x86; then
irbuild=irclient
ipbuild=ip_assign
fi
emake CXX="$(tc-getCXX)" CC="$(tc-getCC)" \
CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" CXXFLAGS="${CXXFLAGS}" \
"${irbuild}"
emake CXX="$(tc-getCXX)" CC="$(tc-getCC)" \
CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" CXXFLAGS="${CXXFLAGS}" \
"${ipbuild}"
}
src_install() {
newbin "${irclient}" irclient
newbin "${ip_assign}" ip_assign
}

@ -0,0 +1,77 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic toolchain-funcs mono-env
DESCRIPTION="Server software for IRTrans"
HOMEPAGE="http://www.irtrans.de"
SRC_URI="http://ftp.disconnected-by-peer.at/irtrans/irserver-src-${PV}.tar.gz
http://ftp.disconnected-by-peer.at/irtrans/irserver-${PV}.tar.gz
http://www.irtrans.de/download/Server/Linux/irserver-src.tar.gz -> irserver-src-${PV}.tar.gz
http://www.irtrans.de/download/Server/Linux/irserver.tar.gz -> irserver-${PV}.tar.gz"
LICENSE="BSD GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="mono"
RESTRICT="strip"
RDEPEND="mono? ( >=dev-lang/mono-2.10.5 )"
S="${WORKDIR}"
src_prepare() {
default
sed -e 's!^ODIRARM = .*!ODIRARM = n800!' -i makefile || die
}
src_compile() {
append-flags -DLINUX -DMEDIACENTER
append-ldflags --static
# Set sane defaults (arm target has no -D flags added)
local irbuild=irserver_arm_noccf
irserver=irserver
# change variable by need
if use x86 ; then
irbuild=irserver
elif use amd64 ; then
irbuild=irserver64
irserver=irserver64
elif use arm ; then
irbuild=irserver_arm
fi
emake CXX="$(tc-getCXX)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" \
CXXFLAGS="${CXXFLAGS}" LDFLAGS="${LDFLAGS}" "${irbuild}"
}
src_install() {
newbin "${WORKDIR}/${irserver}" irserver
keepdir /etc/irserver/remotes
docinto remotes
dodoc -r remotes
newinitd "${FILESDIR}"/irtrans-server.initd irtrans-server
newconfd "${FILESDIR}"/irtrans-server.confd irtrans-server
if use mono ; then
# Wrapper script to launch mono
make_wrapper irguiclient "mono /usr/$(get_libdir)/${PN}/GUIClient.exe"
insinto /usr/$(get_libdir)/${PN}/
exeinto /usr/$(get_libdir)/${PN}/
# The Libs and Translations
doins GUIClient/*.tra
doexe GUIClient/*.dll
# The actual executable
doexe GUIClient/*.exe
fi
}

Binary file not shown.

@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-fbsd"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~mips ppc ppc64 ~s390 sparc ~x86 ~x64-cygwin ~amd64-fbsd"
IUSE="+blake2 bzip2 +gpg lzma sha3 test tools"
MODULE_RDEPEND="

Binary file not shown.

@ -2,3 +2,4 @@ DIST gentoo-syntax-20160530.tar.gz 18950 BLAKE2B 0e769cb4d67ebf1b4299a1aa0dc1bc1
DIST gentoo-syntax-20170225.tar.gz 18939 BLAKE2B 7586b45791e74e69ad6e0607bc0a4d52eba4747a6c4d9933d43db1196ceb57ac6317279c9e86f77c71bdb7379828dd96fe6d63a2933a3660f1639faf1b6df5d5 SHA512 2c01577910eccd413b85c094dbd12bf8445e2f560be1fffc4a4c3130b32587f9c298d8442b5cf12bd7d2950ab8c9e5b95a72f2f41c42c6dc939ffa2c26fd71d5
DIST gentoo-syntax-20180814.tar.bz2 18337 BLAKE2B e2808ff4bab17378ac9a15270f32edb67c0a8f4a7e17757d9c128e186fe31add967c169aa9e62fd5fc95dfbadeab72e37c34a14a5452b80c0a1ceafd8bdec85a SHA512 a524a324e3bb1656b2dba9333e03bd130d3700791782d98fed57ea6065f398e4ad29f7980ad823940a44cd1f9f58244b8a908ef4aa3c82c0f7c46882005f358e
DIST gentoo-syntax-20180820.tar.bz2 18470 BLAKE2B dc536724cd8cf8547b54c7ecc1fc12364ee4542903627e7a3518b9583157d18645e62be519a5d0d0c50f36fe05dfdd19d6999ad049722519f4d6d5707274da44 SHA512 b07fd9b93796a775da0f0fedacbd09cdd30dc414abd05636e96cc0658d1bc12dc5b88cbe4475544f3c79b1a28dacab234cf3c463ddb90bd4e62bec8de4024a57
DIST gentoo-syntax-20180821.tar.bz2 18361 BLAKE2B 4134fd0a3d75d86f3984f135021063b68588083f191efcb94d7b599460703d6eb501bad7de2aa0cc9cdc4447d73b83e4b36cee2acdd113e7d0a879e1e864e2fb SHA512 09c70ded667b489e03f02e0e72fca32f13a40501a5e319b387967e75f616c7f3dc44ceab3a46b776a509263f58668223eb85d51ba58ca3fbc48e4c05d7345dfc

@ -0,0 +1,42 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit vim-plugin
DESCRIPTION="vim plugin: Gentoo and Portage syntax highlighting"
HOMEPAGE="https://github.com/gentoo/gentoo-syntax"
SRC_URI="https://gitweb.gentoo.org/proj/gentoo-syntax.git/snapshot/${P}.tar.bz2"
LICENSE="vim"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="ignore-glep31"
VIM_PLUGIN_HELPFILES="gentoo-syntax"
VIM_PLUGIN_MESSAGES="filetype"
src_prepare() {
default
if use ignore-glep31 ; then
for f in ftplugin/*.vim ; do
ebegin "Removing UTF-8 rules from ${f} ..."
sed -i -e 's~\(setlocal fileencoding=utf-8\)~" \1~' ${f} \
|| die "waah! bad sed voodoo. need more goats."
eend $?
done
fi
}
pkg_postinst() {
vim-plugin_pkg_postinst
if [[ -z ${REPLACING_VERSIONS} ]] ; then
if use ignore-glep31 1>/dev/null ; then
ewarn "You have chosen to disable the rules which ensure GLEP 31"
ewarn "compliance. When editing ebuilds, please make sure you get"
ewarn "the character set correct."
fi
fi
}

Binary file not shown.

@ -1 +1,2 @@
DIST tclap-1.2.1.tar.gz 442387 BLAKE2B 413d77f59224dd7751621f32a5712178c4954cb532095203a1eb839c97d20e8651f94f90d4961a47f654d5b478946fb988db66df0d17c8230fde0b771af77405 SHA512 8bd6ee724600880840048c7b36f02d31b1aa4910b17f80fb04aef89b1f1917856d9979ec488edbd457b66d9d689aea97540abb842a8b902bbd75c66a6e07b9b1
DIST tclap-1.2.2.tar.gz 231714 BLAKE2B 94fc3d5253c08a305e5f75f6b4b7ab556e94980193502b64665ff828609cde20f340e3fe18cef12011da07ae2db2c2bb52a08f112d052d74c45be8290d525092 SHA512 516ec17f82a61277922bc8c0ed66973300bf42a738847fbbd2912c6405c34f94a13e47dc964854a5b26a9a9f1f518cce682ca54e769d6016851656c647866107

@ -1,7 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<maintainer type="person">
<email>gentoo@culot.org</email>
<name>Frederic Culot</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<upstream>
<remote-id type="sourceforge">tclap</remote-id>
</upstream>

@ -0,0 +1,23 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Simple templatized C++ library for parsing command line arguments"
HOMEPAGE="http://tclap.sourceforge.net"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86 ~amd64-linux"
IUSE="doc"
DEPEND="doc? ( app-doc/doxygen )"
src_configure() {
econf $(use_enable doc doxygen)
}
src_install() {
emake DESTDIR="${D}" docdir="${EPREFIX}/usr/share/doc/${PF}/html" install
}

Binary file not shown.

@ -19,7 +19,7 @@ SRC_URI="doc? ( https://sqlite.org/2018/${PN}-doc-${DOC_PV}.zip )
LICENSE="public-domain"
SLOT="3"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="debug doc icu +readline secure-delete static-libs tcl test tools"
RDEPEND="sys-libs/zlib:0=[${MULTILIB_USEDEP}]

Binary file not shown.

@ -1,10 +1,7 @@
<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mrueg@gentoo.org</email>
<name>Manuel Rüger</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="github">elazarl/go-bindata-assetfs</remote-id>
</upstream>

@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mrueg@gentoo.org</email>
<name>Manuel Rüger</name>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="github">gogo/protobuf</remote-id>
</upstream>

Binary file not shown.

@ -2,3 +2,4 @@ DIST protobuf-3.4.1.tar.gz 4490100 BLAKE2B e2bc1ef2ee1a0af44830b3c65a6c9e73883fe
DIST protobuf-3.5.1.1.tar.gz 4584489 BLAKE2B 995ee2f06a6358e9935b488269ee50f0dccede417c1757828b0108fbe8c67034301f3a9cb87517430acd9838ae71bb677f4edd8b59b2418f99c15d8ea3d33591 SHA512 f25ecf772facc8efd196b7c06012ce9ec24152b2c0cde38ed2e29ecded8f534221b008e649f4cbd991436ad3436130cd2e31d51e75019d08240d518111fb4496
DIST protobuf-3.5.2.tar.gz 4584659 BLAKE2B f582212169d802a5844574eb900c9f8cbb343b7e73f2074e5ff0bfc544ebd13f4bc2b78271fb70f4465d78fdc39972ed68339f453c0d3ffe98d8564fbf520544 SHA512 09d10cf0c07a0ba249428bbf20f5dbed840965fa06b3c09682f286a4dee9d84bb96f3b5b50e993d48ef1f20440531255ce7d0e60a648bf3fe536a5f2b0b74181
DIST protobuf-3.6.0.1.tar.gz 4483964 BLAKE2B 8afc1e4f4a6eba0eb453fa7cbee8e8ab4986ab9dda39a0005de9d07ec4bd4fd27a5af4ab359b139b4117a5da580be6da3387295266625ee8cc7ec9421c5c0235 SHA512 63cd799d5d6edbb05a87bc07992271c5bdb9595366d698b4dc5476cc89dc278d1c43186b9e56340958aefea2ce23e15a9c3a550158414add868b56e789ceafe4
DIST protobuf-3.6.1.tar.gz 4485582 BLAKE2B 546c49759df784018459809b9db692c5c94aef5d717183af5cd9edd96b4c658e759f23950cdcd5dddceaaad06ea1de2a2357b9fa8c496ed5d538fc5920174da0 SHA512 1bc175d24b49de1b1e41eaf39598194e583afffb924c86c8d2e569d935af21874be76b2cbd4d9655a1d38bac3d4cd811de88bc2c72d81bad79115e69e5b0d839

@ -0,0 +1,37 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
JAVA_PKG_IUSE="doc source"
inherit java-pkg-2 java-pkg-simple
DESCRIPTION="Google's Protocol Buffers - Java bindings"
HOMEPAGE="https://developers.google.com/protocol-buffers/ https://github.com/google/protobuf"
SRC_URI="https://github.com/google/protobuf/archive/v${PV}.tar.gz -> protobuf-${PV}.tar.gz"
LICENSE="BSD"
SLOT="0/17"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~sh ~x86 ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE=""
DEPEND="~dev-libs/protobuf-${PV}
>=virtual/jdk-1.7"
RDEPEND=">=virtual/jre-1.7
!<dev-libs/protobuf-3[java(-)]"
S="${WORKDIR}/protobuf-${PV}/java"
src_prepare() {
default
java-pkg-2_src_prepare
}
src_compile() {
"${EPREFIX}/usr/bin/protoc" --java_out=core/src/main/java -I../src ../src/google/protobuf/descriptor.proto || die
JAVA_SRC_DIR="core/src/main/java" JAVA_JAR_FILENAME="protobuf.jar" java-pkg-simple_src_compile
}
src_install() {
JAVA_SRC_DIR="core/src/main/java" JAVA_JAR_FILENAME="protobuf.jar" java-pkg-simple_src_install
}

Binary file not shown.

@ -0,0 +1 @@
DIST aws-sdk-cpp-1.5.17.tar.gz 16424254 BLAKE2B 3beeda2085a487b007c088b149a84b7c561ebc75a3a431d2c0139d1f2c6b3c1182e5e00df349436cd5d1f25fbbf60a963db69b562503903cd4a5ccf4db01aac0 SHA512 1a69098c0ddaba46e0d336875029dbdea0d92a3165ee7eed77d1425ea375b401138235f4fa71604fd3df89db633664cd9c36c1fad7989d974f28f7e1785b95c0

@ -0,0 +1,38 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils
DESCRIPTION="AWS SDK for C++"
HOMEPAGE="https://aws.amazon.com/sdk-for-cpp/"
SRC_URI="https://github.com/aws/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
ALL_AWS_TARGETS="access-management acm acm-pca alexaforbusiness apigateway application-autoscaling appstream appsync athena autoscaling autoscaling-plans AWSMigrationHub batch budgets ce cloud9 clouddirectory cloudformation cloudfront cloudhsm cloudhsmv2 cloudsearch cloudsearchdomain cloudtrail codebuild codecommit codedeploy codepipeline codestar cognito-identity cognito-idp cognito-sync comprehend config connect core cur datapipeline dax devicefarm directconnect discovery dms ds dynamodb dynamodbstreams ec2 ecr ecs eks elasticache elasticbeanstalk elasticfilesystem elasticloadbalancing elasticloadbalancingv2 elasticmapreduce elastictranscoder email es events firehose fms gamelift glacier glue greengrass guardduty health iam identity-management importexport inspector iot iot1click-devices iot1click-projects iotanalytics iot-data iot-jobs-data kinesis kinesisanalytics kinesisvideo kinesis-video-archived-media kinesis-video-media kms lambda lex lex-models lightsail logs machinelearning macie marketplacecommerceanalytics marketplace-entitlement mediaconvert medialive mediapackage mediastore mediastore-data mediatailor meteringmarketplace mobile mobileanalytics monitoring mq mturk-requester neptune opsworks opsworkscm organizations pi pinpoint polly pricing queues rds redshift rekognition resource-groups resourcegroupstaggingapi route53 route53domains s3 s3-encryption sagemaker sagemaker-runtime sdb secretsmanager serverlessrepo servicecatalog servicediscovery shield sms snowball sns sqs ssm states storagegateway sts support swf text-to-speech transcribe transfer translate waf waf-regional workdocs workmail workspaces xray"
for module in ${ALL_AWS_TARGETS}; do
if [ "$module" = "core" ]; then
IUSE_AWS_TARGETS+=" aws_targets_${module}"
else
IUSE_AWS_TARGETS+=" -aws_targets_${module}"
fi
done
IUSE="static-libs test ${IUSE_AWS_TARGETS}"
DEPEND=""
RDEPEND="${DEPEND}"
src_configure() {
local mycmakeargs=(
-DCPP_STANDARD=17
-DENABLE_TESTING=$(usex test)
-DBUILD_SHARED_LIBS=$(usex !static-libs)
-DBUILD_ONLY="${AWS_TARGETS// /;}"
)
cmake-utils_src_configure
}

@ -0,0 +1,164 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>amit.prakash.ambasta@gmail.com</email>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name="aws_targets_access-management">SDK Support for AWS access-management</flag>
<flag name="aws_targets_acm">SDK Support for AWS acm</flag>
<flag name="aws_targets_acm-pca">SDK Support for AWS acm-pca</flag>
<flag name="aws_targets_alexaforbusiness">SDK Support for AWS alexaforbusiness</flag>
<flag name="aws_targets_apigateway">SDK Support for AWS apigateway</flag>
<flag name="aws_targets_application-autoscaling">SDK Support for AWS application-autoscaling</flag>
<flag name="aws_targets_appstream">SDK Support for AWS appstream</flag>
<flag name="aws_targets_appsync">SDK Support for AWS appsync</flag>
<flag name="aws_targets_athena">SDK Support for AWS athena</flag>
<flag name="aws_targets_autoscaling">SDK Support for AWS autoscaling</flag>
<flag name="aws_targets_autoscaling-plans">SDK Support for AWS autoscaling-plans</flag>
<flag name="aws_targets_AWSMigrationHub">SDK Support for AWS AWSMigrationHub</flag>
<flag name="aws_targets_batch">SDK Support for AWS batch</flag>
<flag name="aws_targets_budgets">SDK Support for AWS budgets</flag>
<flag name="aws_targets_ce">SDK Support for AWS ce</flag>
<flag name="aws_targets_cloud9">SDK Support for AWS cloud9</flag>
<flag name="aws_targets_clouddirectory">SDK Support for AWS clouddirectory</flag>
<flag name="aws_targets_cloudformation">SDK Support for AWS cloudformation</flag>
<flag name="aws_targets_cloudfront">SDK Support for AWS cloudfront</flag>
<flag name="aws_targets_cloudhsm">SDK Support for AWS cloudhsm</flag>
<flag name="aws_targets_cloudhsmv2">SDK Support for AWS cloudhsmv2</flag>
<flag name="aws_targets_cloudsearch">SDK Support for AWS cloudsearch</flag>
<flag name="aws_targets_cloudsearchdomain">SDK Support for AWS cloudsearchdomain</flag>
<flag name="aws_targets_cloudtrail">SDK Support for AWS cloudtrail</flag>
<flag name="aws_targets_codebuild">SDK Support for AWS codebuild</flag>
<flag name="aws_targets_codecommit">SDK Support for AWS codecommit</flag>
<flag name="aws_targets_codedeploy">SDK Support for AWS codedeploy</flag>
<flag name="aws_targets_codepipeline">SDK Support for AWS codepipeline</flag>
<flag name="aws_targets_codestar">SDK Support for AWS codestar</flag>
<flag name="aws_targets_cognito-identity">SDK Support for AWS cognito-identity</flag>
<flag name="aws_targets_cognito-idp">SDK Support for AWS cognito-idp</flag>
<flag name="aws_targets_cognito-sync">SDK Support for AWS cognito-sync</flag>
<flag name="aws_targets_comprehend">SDK Support for AWS comprehend</flag>
<flag name="aws_targets_config">SDK Support for AWS config</flag>
<flag name="aws_targets_connect">SDK Support for AWS connect</flag>
<flag name="aws_targets_core">SDK Support for AWS core</flag>
<flag name="aws_targets_cur">SDK Support for AWS cur</flag>
<flag name="aws_targets_datapipeline">SDK Support for AWS datapipeline</flag>
<flag name="aws_targets_dax">SDK Support for AWS dax</flag>
<flag name="aws_targets_devicefarm">SDK Support for AWS devicefarm</flag>
<flag name="aws_targets_directconnect">SDK Support for AWS directconnect</flag>
<flag name="aws_targets_discovery">SDK Support for AWS discovery</flag>
<flag name="aws_targets_dms">SDK Support for AWS dms</flag>
<flag name="aws_targets_ds">SDK Support for AWS ds</flag>
<flag name="aws_targets_dynamodb">SDK Support for AWS dynamodb</flag>
<flag name="aws_targets_dynamodbstreams">SDK Support for AWS dynamodbstreams</flag>
<flag name="aws_targets_ec2">SDK Support for AWS ec2</flag>
<flag name="aws_targets_ecr">SDK Support for AWS ecr</flag>
<flag name="aws_targets_ecs">SDK Support for AWS ecs</flag>
<flag name="aws_targets_eks">SDK Support for AWS eks</flag>
<flag name="aws_targets_elasticache">SDK Support for AWS elasticache</flag>
<flag name="aws_targets_elasticbeanstalk">SDK Support for AWS elasticbeanstalk</flag>
<flag name="aws_targets_elasticfilesystem">SDK Support for AWS elasticfilesystem</flag>
<flag name="aws_targets_elasticloadbalancing">SDK Support for AWS elasticloadbalancing</flag>
<flag name="aws_targets_elasticloadbalancingv2">SDK Support for AWS elasticloadbalancingv2</flag>
<flag name="aws_targets_elasticmapreduce">SDK Support for AWS elasticmapreduce</flag>
<flag name="aws_targets_elastictranscoder">SDK Support for AWS elastictranscoder</flag>
<flag name="aws_targets_email">SDK Support for AWS email</flag>
<flag name="aws_targets_es">SDK Support for AWS es</flag>
<flag name="aws_targets_events">SDK Support for AWS events</flag>
<flag name="aws_targets_firehose">SDK Support for AWS firehose</flag>
<flag name="aws_targets_fms">SDK Support for AWS fms</flag>
<flag name="aws_targets_gamelift">SDK Support for AWS gamelift</flag>
<flag name="aws_targets_glacier">SDK Support for AWS glacier</flag>
<flag name="aws_targets_glue">SDK Support for AWS glue</flag>
<flag name="aws_targets_greengrass">SDK Support for AWS greengrass</flag>
<flag name="aws_targets_guardduty">SDK Support for AWS guardduty</flag>
<flag name="aws_targets_health">SDK Support for AWS health</flag>
<flag name="aws_targets_iam">SDK Support for AWS iam</flag>
<flag name="aws_targets_identity-management">SDK Support for AWS identity-management</flag>
<flag name="aws_targets_importexport">SDK Support for AWS importexport</flag>
<flag name="aws_targets_inspector">SDK Support for AWS inspector</flag>
<flag name="aws_targets_iot">SDK Support for AWS iot</flag>
<flag name="aws_targets_iot1click-devices">SDK Support for AWS iot1click-devices</flag>
<flag name="aws_targets_iot1click-projects">SDK Support for AWS iot1click-projects</flag>
<flag name="aws_targets_iotanalytics">SDK Support for AWS iotanalytics</flag>
<flag name="aws_targets_iot-data">SDK Support for AWS iot-data</flag>
<flag name="aws_targets_iot-jobs-data">SDK Support for AWS iot-jobs-data</flag>
<flag name="aws_targets_kinesis">SDK Support for AWS kinesis</flag>
<flag name="aws_targets_kinesisanalytics">SDK Support for AWS kinesisanalytics</flag>
<flag name="aws_targets_kinesisvideo">SDK Support for AWS kinesisvideo</flag>
<flag name="aws_targets_kinesis-video-archived-media">SDK Support for AWS kinesis-video-archived-media</flag>
<flag name="aws_targets_kinesis-video-media">SDK Support for AWS kinesis-video-media</flag>
<flag name="aws_targets_kms">SDK Support for AWS kms</flag>
<flag name="aws_targets_lambda">SDK Support for AWS lambda</flag>
<flag name="aws_targets_lex">SDK Support for AWS lex</flag>
<flag name="aws_targets_lex-models">SDK Support for AWS lex-models</flag>
<flag name="aws_targets_lightsail">SDK Support for AWS lightsail</flag>
<flag name="aws_targets_logs">SDK Support for AWS logs</flag>
<flag name="aws_targets_machinelearning">SDK Support for AWS machinelearning</flag>
<flag name="aws_targets_macie">SDK Support for AWS macie</flag>
<flag name="aws_targets_marketplacecommerceanalytics">SDK Support for AWS marketplacecommerceanalytics</flag>
<flag name="aws_targets_marketplace-entitlement">SDK Support for AWS marketplace-entitlement</flag>
<flag name="aws_targets_mediaconvert">SDK Support for AWS mediaconvert</flag>
<flag name="aws_targets_medialive">SDK Support for AWS medialive</flag>
<flag name="aws_targets_mediapackage">SDK Support for AWS mediapackage</flag>
<flag name="aws_targets_mediastore">SDK Support for AWS mediastore</flag>
<flag name="aws_targets_mediastore-data">SDK Support for AWS mediastore-data</flag>
<flag name="aws_targets_mediatailor">SDK Support for AWS mediatailor</flag>
<flag name="aws_targets_meteringmarketplace">SDK Support for AWS meteringmarketplace</flag>
<flag name="aws_targets_mobile">SDK Support for AWS mobile</flag>
<flag name="aws_targets_mobileanalytics">SDK Support for AWS mobileanalytics</flag>
<flag name="aws_targets_monitoring">SDK Support for AWS monitoring</flag>
<flag name="aws_targets_mq">SDK Support for AWS mq</flag>
<flag name="aws_targets_mturk-requester">SDK Support for AWS mturk-requester</flag>
<flag name="aws_targets_neptune">SDK Support for AWS neptune</flag>
<flag name="aws_targets_opsworks">SDK Support for AWS opsworks</flag>
<flag name="aws_targets_opsworkscm">SDK Support for AWS opsworkscm</flag>
<flag name="aws_targets_organizations">SDK Support for AWS organizations</flag>
<flag name="aws_targets_pi">SDK Support for AWS pi</flag>
<flag name="aws_targets_pinpoint">SDK Support for AWS pinpoint</flag>
<flag name="aws_targets_polly">SDK Support for AWS polly</flag>
<flag name="aws_targets_pricing">SDK Support for AWS pricing</flag>
<flag name="aws_targets_queues">SDK Support for AWS queues</flag>
<flag name="aws_targets_rds">SDK Support for AWS rds</flag>
<flag name="aws_targets_redshift">SDK Support for AWS redshift</flag>
<flag name="aws_targets_rekognition">SDK Support for AWS rekognition</flag>
<flag name="aws_targets_resource-groups">SDK Support for AWS resource-groups</flag>
<flag name="aws_targets_resourcegroupstaggingapi">SDK Support for AWS resourcegroupstaggingapi</flag>
<flag name="aws_targets_route53">SDK Support for AWS route53</flag>
<flag name="aws_targets_route53domains">SDK Support for AWS route53domains</flag>
<flag name="aws_targets_s3">SDK Support for AWS s3</flag>
<flag name="aws_targets_s3-encryption">SDK Support for AWS s3-encryption</flag>
<flag name="aws_targets_sagemaker">SDK Support for AWS sagemaker</flag>
<flag name="aws_targets_sagemaker-runtime">SDK Support for AWS sagemaker-runtime</flag>
<flag name="aws_targets_sdb">SDK Support for AWS sdb</flag>
<flag name="aws_targets_secretsmanager">SDK Support for AWS secretsmanager</flag>
<flag name="aws_targets_serverlessrepo">SDK Support for AWS serverlessrepo</flag>
<flag name="aws_targets_servicecatalog">SDK Support for AWS servicecatalog</flag>
<flag name="aws_targets_servicediscovery">SDK Support for AWS servicediscovery</flag>
<flag name="aws_targets_shield">SDK Support for AWS shield</flag>
<flag name="aws_targets_sms">SDK Support for AWS sms</flag>
<flag name="aws_targets_snowball">SDK Support for AWS snowball</flag>
<flag name="aws_targets_sns">SDK Support for AWS sns</flag>
<flag name="aws_targets_sqs">SDK Support for AWS sqs</flag>
<flag name="aws_targets_ssm">SDK Support for AWS ssm</flag>
<flag name="aws_targets_states">SDK Support for AWS states</flag>
<flag name="aws_targets_storagegateway">SDK Support for AWS storagegateway</flag>
<flag name="aws_targets_sts">SDK Support for AWS sts</flag>
<flag name="aws_targets_support">SDK Support for AWS support</flag>
<flag name="aws_targets_swf">SDK Support for AWS swf</flag>
<flag name="aws_targets_text-to-speech">SDK Support for AWS text-to-speech</flag>
<flag name="aws_targets_transcribe">SDK Support for AWS transcribe</flag>
<flag name="aws_targets_transfer">SDK Support for AWS transfer</flag>
<flag name="aws_targets_translate">SDK Support for AWS translate</flag>
<flag name="aws_targets_waf">SDK Support for AWS waf</flag>
<flag name="aws_targets_waf-regional">SDK Support for AWS waf-regional</flag>
<flag name="aws_targets_workdocs">SDK Support for AWS workdocs</flag>
<flag name="aws_targets_workmail">SDK Support for AWS workmail</flag>
<flag name="aws_targets_workspaces">SDK Support for AWS workspaces</flag>
<flag name="aws_targets_xray">SDK Support for AWS xray</flag>
</use>
</pkgmetadata>

@ -11,7 +11,7 @@ SRC_URI="https://www.cryptopp.com/cryptopp${PV//.}.zip"
LICENSE="Boost-1.0"
SLOT="0/7" # subslot is so version
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ppc ppc64 ~sparc ~x86 ~x64-macos"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ppc ppc64 ~sparc ~x86 ~x64-macos"
IUSE="+asm static-libs"
DEPEND="app-arch/unzip"

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PV}/${P}-Source.tar.gz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0/2"
KEYWORDS="amd64 ~arm ~hppa ppc ppc64 ~sparc x86"
KEYWORDS="amd64 arm ~hppa ppc ppc64 ~sparc x86"
IUSE="bluetooth irda usb"
RDEPEND="

@ -16,3 +16,4 @@ DIST openssl-1.1.0i_ec_curve.c 18393 BLAKE2B 49dca7ddbc23270e5927454925df7bb18c8
DIST openssl-1.1.0i_ectest.c 29908 BLAKE2B b398bafd5d5aea71daa9c3e2749dece9e515950e35547a6191d83987907aae73e090a4b552636af4d1ab2b39f7e3b1ea3fde2012c99f068f9c99d247996c1212 SHA512 e4445f8959b040caca6a7494da2026b840f84348df5d4eab47a68570d274333f62fa0c381955093edd86c857dad98595ffa2980c54afdcf2a8d32f32d0c70450
DIST openssl-1.1.0i_hobble-openssl 1117 BLAKE2B c3a1477e63331e83cf1cbe58e9ef131ec500a311e22d3da55034800ca353c387b2e202575acf3badb00b236ff91d4bac1bb131a33930939646d26bec27be6e04 SHA512 fa9cc70afa11a7a292548b4bddbba8159824a364ce5c279b483768e6ae2aa4b5491d9bf2cc734819f30a11c8ee0d91bcb991c4a7ab357296aeb4c04feac74826
DIST openssl-1.1.1-pre8.tar.gz 8334954 BLAKE2B 97cd018908925abd5a4eb660b3488b23efb582dd49dd87504e5522b2e9c5c6500417ef4893590a60ce35cfa316de51bfbf3e448e9cb2a5858ecd8ae72722922d SHA512 33b20f8589e0ba67500993635e1ba7f7f7ce2b6fa1eb8d4d7c44711ff047045dde57ad7e0605377c2b030fc954a3fb9b1f1d68feac2080991ef2b1b72a761041
DIST openssl-1.1.1-pre9.tar.gz 8411103 BLAKE2B 93ac540afdf734c67aabbaf0682b43f044e8c05f80c0b1e7af926dd4179b215f68d569de24e45ae78a6915923ab5f77a8aa5690873e01c16478bf61d1f1c2a9b SHA512 cf23c11d7591cfa6dfd8b1086c2cdd33bd56f9eb44721cd60b228ef4d3c0c5de650dca53ae7becf7c8f0a9dd4bdae287f48116a3ac11d106b36919deb3214aa2

@ -0,0 +1,242 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit flag-o-matic toolchain-funcs multilib multilib-minimal
MY_P=${P/_/-}
DESCRIPTION="full-strength general purpose cryptography library (including SSL and TLS)"
HOMEPAGE="https://www.openssl.org/"
SRC_URI="mirror://openssl/source/${MY_P}.tar.gz"
LICENSE="openssl"
SLOT="0/1.1" # .so version of libssl/libcrypto
[[ "${PV}" = *_pre* ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
IUSE="+asm bindist elibc_musl rfc3779 sctp cpu_flags_x86_sse2 sslv3 static-libs test tls-heartbeat vanilla zlib"
RESTRICT="!bindist? ( bindist )"
RDEPEND=">=app-misc/c_rehash-1.7-r1
zlib? ( >=sys-libs/zlib-1.2.8-r1[static-libs(+)?,${MULTILIB_USEDEP}] )"
DEPEND="${RDEPEND}
>=dev-lang/perl-5
sctp? ( >=net-misc/lksctp-tools-1.0.12 )
test? (
sys-apps/diffutils
sys-devel/bc
)"
PDEPEND="app-misc/ca-certificates"
S="${WORKDIR}/${MY_P}"
MULTILIB_WRAPPED_HEADERS=(
usr/include/openssl/opensslconf.h
)
src_prepare() {
# keep this in sync with app-misc/c_rehash
SSL_CNF_DIR="/etc/ssl"
# Make sure we only ever touch Makefile.org and avoid patching a file
# that gets blown away anyways by the Configure script in src_configure
rm -f Makefile
if ! use vanilla ; then
if [[ $(declare -p PATCHES 2>/dev/null) == "declare -a"* ]] ; then
[[ ${#PATCHES[@]} -gt 0 ]] && eapply "${PATCHES[@]}"
fi
fi
eapply_user #332661
# make sure the man pages are suffixed #302165
# don't bother building man pages if they're disabled
# Make DOCDIR Gentoo compliant
sed -i \
-e '/^MANSUFFIX/s:=.*:=ssl:' \
-e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
-e $(has noman FEATURES \
&& echo '/^install:/s:install_docs::' \
|| echo '/^MANDIR=/s:=.*:='${EPREFIX}'/usr/share/man:') \
-e "/^DOCDIR/s@\$(BASENAME)@&-${PF}@" \
Configurations/unix-Makefile.tmpl \
|| die
# quiet out unknown driver argument warnings since openssl
# doesn't have well-split CFLAGS and we're making it even worse
# and 'make depend' uses -Werror for added fun (#417795 again)
[[ ${CC} == *clang* ]] && append-flags -Qunused-arguments
# allow openssl to be cross-compiled
cp "${FILESDIR}"/gentoo.config-1.0.2 gentoo.config || die
chmod a+rx gentoo.config || die
append-flags -fno-strict-aliasing
append-flags $(test-flags-CC -Wa,--noexecstack)
append-cppflags -DOPENSSL_NO_BUF_FREELISTS
# Prefixify Configure shebang (#141906)
sed \
-e "1s,/usr/bin/env,${EPREFIX}&," \
-i Configure || die
# Remove test target when FEATURES=test isn't set
if ! use test ; then
sed \
-e '/^$config{dirs}/s@ "test",@@' \
-i Configure || die
fi
# The config script does stupid stuff to prompt the user. Kill it.
sed -i '/stty -icanon min 0 time 50; read waste/d' config || die
./config --test-sanity || die "I AM NOT SANE"
multilib_copy_sources
}
multilib_src_configure() {
unset APPS #197996
unset SCRIPTS #312551
unset CROSS_COMPILE #311473
tc-export CC AR RANLIB RC
# Clean out patent-or-otherwise-encumbered code
# Camellia: Royalty Free https://en.wikipedia.org/wiki/Camellia_(cipher)
# IDEA: Expired https://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
# EC: ????????? ??/??/2015 https://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
# MDC2: Expired https://en.wikipedia.org/wiki/MDC-2
# RC5: Expired https://en.wikipedia.org/wiki/RC5
use_ssl() { usex $1 "enable-${2:-$1}" "no-${2:-$1}" " ${*:3}" ; }
echoit() { echo "$@" ; "$@" ; }
local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
# See if our toolchain supports __uint128_t. If so, it's 64bit
# friendly and can use the nicely optimized code paths. #460790
local ec_nistp_64_gcc_128
# Disable it for now though #469976
#if ! use bindist ; then
# echo "__uint128_t i;" > "${T}"/128.c
# if ${CC} ${CFLAGS} -c "${T}"/128.c -o /dev/null >&/dev/null ; then
# ec_nistp_64_gcc_128="enable-ec_nistp_64_gcc_128"
# fi
#fi
local sslout=$(./gentoo.config)
einfo "Use configuration ${sslout:-(openssl knows best)}"
local config="Configure"
[[ -z ${sslout} ]] && config="config"
# 'srp' was restricted until early 2017 as well.
# "disable-deprecated" option breaks too many consumers.
# Don't set it without thorough revdeps testing.
echoit \
./${config} \
${sslout} \
$(use cpu_flags_x86_sse2 || echo "no-sse2") \
enable-camellia \
$(use_ssl !bindist ec) \
$(use_ssl !bindist srp) \
$(use elibc_musl && echo "no-async") \
${ec_nistp_64_gcc_128} \
enable-idea \
enable-mdc2 \
enable-rc5 \
$(use_ssl sslv3 ssl3) \
$(use_ssl sslv3 ssl3-method) \
$(use_ssl asm) \
$(use_ssl rfc3779) \
$(use_ssl sctp) \
$(use_ssl tls-heartbeat heartbeats) \
$(use_ssl zlib) \
--prefix="${EPREFIX}"/usr \
--openssldir="${EPREFIX}"${SSL_CNF_DIR} \
--libdir=$(get_libdir) \
shared threads \
|| die
# Clean out hardcoded flags that openssl uses
# Fix quoting for sed
local DEFAULT_CFLAGS=$(grep ^CFLAGS= Makefile | LC_ALL=C sed \
-e 's:^CFLAGS=::' \
-e 's:-fomit-frame-pointer ::g' \
-e 's:-O[0-9] ::g' \
-e 's:-march=[-a-z0-9]* ::g' \
-e 's:-mcpu=[-a-z0-9]* ::g' \
-e 's:-m[a-z0-9]* ::g' \
-e 's:\\:\\\\:g' \
)
sed -i \
-e "/^CFLAGS=/s|=.*|=${DEFAULT_CFLAGS} ${CFLAGS}|" \
-e "/^LDFLAGS=/s|=[[:space:]]*$|=${LDFLAGS}|" \
Makefile || die
}
multilib_src_compile() {
# depend is needed to use $confopts; it also doesn't matter
# that it's -j1 as the code itself serializes subdirs
emake -j1 depend
emake all
}
multilib_src_test() {
emake -j1 test
}
multilib_src_install() {
emake DESTDIR="${D}" install
}
multilib_src_install_all() {
# openssl installs perl version of c_rehash by default, but
# we provide a shell version via app-misc/c_rehash
rm "${ED%/}"/usr/bin/c_rehash || die
dodoc CHANGES* FAQ NEWS README doc/*.txt doc/${PN}-c-indent.el
# This is crappy in that the static archives are still built even
# when USE=static-libs. But this is due to a failing in the openssl
# build system: the static archives are built as PIC all the time.
# Only way around this would be to manually configure+compile openssl
# twice; once with shared lib support enabled and once without.
use static-libs || rm -f "${ED%/}"/usr/lib*/lib*.a
# create the certs directory
keepdir ${SSL_CNF_DIR}/certs
# Namespace openssl programs to prevent conflicts with other man pages
cd "${ED%/}"/usr/share/man || die
local m d s
for m in $(find . -type f | xargs grep -L '#include') ; do
d=${m%/*} ; d=${d#./} ; m=${m##*/}
[[ ${m} == openssl.1* ]] && continue
[[ -n $(find -L ${d} -type l) ]] && die "erp, broken links already!"
mv ${d}/{,ssl-}${m}
# fix up references to renamed man pages
sed -i '/^[.]SH "SEE ALSO"/,/^[.]/s:\([^(, ]*(1)\):ssl-\1:g' ${d}/ssl-${m}
ln -s ssl-${m} ${d}/openssl-${m}
# locate any symlinks that point to this man page ... we assume
# that any broken links are due to the above renaming
for s in $(find -L ${d} -type l) ; do
s=${s##*/}
rm -f ${d}/${s}
# We don't want to "|| die" here
ln -s ssl-${m} ${d}/ssl-${s}
ln -s ssl-${s} ${d}/openssl-${s}
done
done
[[ -n $(find -L ${d} -type l) ]] && die "broken manpage links found :("
dodir /etc/sandbox.d #254521
echo 'SANDBOX_PREDICT="/dev/crypto"' > "${ED%/}"/etc/sandbox.d/10openssl
diropts -m0700
keepdir ${SSL_CNF_DIR}/private
}
pkg_postinst() {
ebegin "Running 'c_rehash ${EROOT%/}${SSL_CNF_DIR}/certs/' to rebuild hashes #333069"
c_rehash "${EROOT%/}${SSL_CNF_DIR}/certs" >/dev/null
eend $?
}

@ -0,0 +1,33 @@
From 0e2ae10ef9611beef92457171e8c78d8e936dfca Mon Sep 17 00:00:00 2001
From: Alon Bar-Lev <alon.barlev@gmail.com>
Date: Wed, 22 Aug 2018 20:24:19 +0300
Subject: [PATCH] openssl: build with openssl ec disabled
---
ChangeLog | 1 +
lib/pkcs11h-openssl.c | 2 +-
2 files changed, 2 insertions(+), 1 deletion(-)
diff --git a/lib/pkcs11h-openssl.c b/lib/pkcs11h-openssl.c
index c981e21..4ebc211 100644
--- a/lib/pkcs11h-openssl.c
+++ b/lib/pkcs11h-openssl.c
@@ -263,6 +263,7 @@ DSA_SIG_set0 (DSA_SIG *sig, BIGNUM *r, BIGNUM *s)
}
#endif
+#ifdef __ENABLE_EC
#ifndef HAVE_ECDSA_SIG_SET0
static int
ECDSA_SIG_set0 (ECDSA_SIG *sig, BIGNUM *r, BIGNUM *s)
@@ -275,7 +276,6 @@ ECDSA_SIG_set0 (ECDSA_SIG *sig, BIGNUM *r, BIGNUM *s)
}
#endif
-#ifdef __ENABLE_EC
#ifndef HAVE_EC_KEY_METHOD_GET_SIGN
void EC_KEY_METHOD_get_sign(const EC_KEY_METHOD *meth,
int (**psign)(int type, const unsigned char *dgst,
--
2.16.4

@ -12,10 +12,10 @@ SRC_URI="https://github.com/OpenSC/${PN}/releases/download/${P}/${P}.tar.bz2"
LICENSE="|| ( BSD GPL-2 )"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd"
IUSE="doc gnutls libressl nss static-libs"
IUSE="bindist doc gnutls libressl nss static-libs"
RDEPEND="
!libressl? ( >=dev-libs/openssl-0.9.7:= )
!libressl? ( >=dev-libs/openssl-0.9.7:=[bindist=] )
libressl? ( dev-libs/libressl )
gnutls? ( >=net-libs/gnutls-1.4.4 )
nss? ( dev-libs/nss )"
@ -23,6 +23,10 @@ DEPEND="${RDEPEND}
virtual/pkgconfig
doc? ( >=app-doc/doxygen-1.4.7 )"
PATCHES=(
"${FILESDIR}/${P}-build.patch"
)
src_configure() {
econf \
--disable-crypto-engine-polarssl \

@ -2,3 +2,4 @@ DIST protobuf-3.4.1.tar.gz 4490100 BLAKE2B e2bc1ef2ee1a0af44830b3c65a6c9e73883fe
DIST protobuf-3.5.1.1.tar.gz 4584489 BLAKE2B 995ee2f06a6358e9935b488269ee50f0dccede417c1757828b0108fbe8c67034301f3a9cb87517430acd9838ae71bb677f4edd8b59b2418f99c15d8ea3d33591 SHA512 f25ecf772facc8efd196b7c06012ce9ec24152b2c0cde38ed2e29ecded8f534221b008e649f4cbd991436ad3436130cd2e31d51e75019d08240d518111fb4496
DIST protobuf-3.5.2.tar.gz 4584659 BLAKE2B f582212169d802a5844574eb900c9f8cbb343b7e73f2074e5ff0bfc544ebd13f4bc2b78271fb70f4465d78fdc39972ed68339f453c0d3ffe98d8564fbf520544 SHA512 09d10cf0c07a0ba249428bbf20f5dbed840965fa06b3c09682f286a4dee9d84bb96f3b5b50e993d48ef1f20440531255ce7d0e60a648bf3fe536a5f2b0b74181
DIST protobuf-3.6.0.1.tar.gz 4483964 BLAKE2B 8afc1e4f4a6eba0eb453fa7cbee8e8ab4986ab9dda39a0005de9d07ec4bd4fd27a5af4ab359b139b4117a5da580be6da3387295266625ee8cc7ec9421c5c0235 SHA512 63cd799d5d6edbb05a87bc07992271c5bdb9595366d698b4dc5476cc89dc278d1c43186b9e56340958aefea2ce23e15a9c3a550158414add868b56e789ceafe4
DIST protobuf-3.6.1.tar.gz 4485582 BLAKE2B 546c49759df784018459809b9db692c5c94aef5d717183af5cd9edd96b4c658e759f23950cdcd5dddceaaad06ea1de2a2357b9fa8c496ed5d538fc5920174da0 SHA512 1bc175d24b49de1b1e41eaf39598194e583afffb924c86c8d2e569d935af21874be76b2cbd4d9655a1d38bac3d4cd811de88bc2c72d81bad79115e69e5b0d839

@ -0,0 +1,105 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit autotools elisp-common flag-o-matic multilib-minimal toolchain-funcs
DESCRIPTION="Google's Protocol Buffers - Extensible mechanism for serializing structured data"
HOMEPAGE="https://developers.google.com/protocol-buffers/ https://github.com/google/protobuf"
SRC_URI="https://github.com/google/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0/17"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE="emacs examples static-libs test zlib"
RDEPEND="emacs? ( virtual/emacs )
zlib? ( sys-libs/zlib[${MULTILIB_USEDEP}] )"
DEPEND="${RDEPEND}
test? ( >=dev-cpp/gtest-1.8.0[${MULTILIB_USEDEP}] )"
PATCHES=(
"${FILESDIR}/${PN}-3.6.0-disable_no-warning-test.patch"
"${FILESDIR}/${PN}-3.6.0-system_libraries.patch"
"${FILESDIR}/${PN}-3.6.0-protoc_input_output_files.patch"
)
DOCS=(CHANGES.txt CONTRIBUTORS.txt README.md)
src_prepare() {
default
eautoreconf
}
src_configure() {
append-cppflags -DGOOGLE_PROTOBUF_NO_RTTI
multilib-minimal_src_configure
}
multilib_src_configure() {
local options=(
$(use_enable static-libs static)
$(use_with zlib)
)
if tc-is-cross-compiler; then
# Build system uses protoc when building, so protoc copy runnable on host is needed.
mkdir -p "${WORKDIR}/build" || die
pushd "${WORKDIR}/build" > /dev/null || die
ECONF_SOURCE="${S}" econf_build "${options[@]}"
options+=(--with-protoc="$(pwd)/src/protoc")
popd > /dev/null || die
fi
ECONF_SOURCE="${S}" econf "${options[@]}"
}
src_compile() {
multilib-minimal_src_compile
if use emacs; then
elisp-compile editors/protobuf-mode.el
fi
}
multilib_src_compile() {
if tc-is-cross-compiler; then
emake -C "${WORKDIR}/build/src" protoc
fi
default
}
multilib_src_test() {
emake check
}
multilib_src_install_all() {
find "${D}" -name "*.la" -delete || die
insinto /usr/share/vim/vimfiles/syntax
doins editors/proto.vim
insinto /usr/share/vim/vimfiles/ftdetect
doins "${FILESDIR}/proto.vim"
if use emacs; then
elisp-install ${PN} editors/protobuf-mode.el*
elisp-site-file-install "${FILESDIR}/70${PN}-gentoo.el"
fi
if use examples; then
DOCS+=(examples)
docompress -x /usr/share/doc/${PF}/examples
fi
einstalldocs
}
pkg_postinst() {
use emacs && elisp-site-regen
}
pkg_postrm() {
use emacs && elisp-site-regen
}

@ -11,7 +11,7 @@ SRC_URI="https://github.com/leethomason/${PN}/archive/${PV}.tar.gz -> ${P}.tar.g
LICENSE="ZLIB"
SLOT="0/6"
KEYWORDS="amd64 ~arm ~arm64 ~hppa sparc x86"
KEYWORDS="amd64 arm ~arm64 ~hppa sparc x86"
IUSE="static-libs test"
multilib_src_configure() {

Binary file not shown.

@ -11,7 +11,7 @@ DESCRIPTION="Perl extension interface for libcurl"
LICENSE="|| ( MPL-1.0 MPL-1.1 MIT )"
SLOT="0"
KEYWORDS="~amd64 ppc ~ppc64 ~x86"
KEYWORDS="amd64 ppc ~ppc64 ~x86"
IUSE=""
RDEPEND="net-misc/curl"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Handy web browsing in a Perl object"
SLOT="0"
KEYWORDS="~amd64 ~arm ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="amd64 ~arm ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RDEPEND="

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Parse /robots.txt file"
SLOT="0"
KEYWORDS="alpha ~amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 s390 ~sh sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
!<dev-perl/libwww-perl-6

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Web service API to MusicBrainz database"
SLOT="0"
KEYWORDS="~amd64 ppc ppc64 ~x86"
KEYWORDS="amd64 ppc ppc64 ~x86"
IUSE=""
PATCHES=( "${FILESDIR}/1.0.2-no-network-testing.patch" )
RDEPEND="

Binary file not shown.

@ -1 +1,2 @@
DIST Archive_Tar-1.4.2.tgz 20624 BLAKE2B 2276b19a6e5f18947d6f976db28a5869601b9b1d271e5788c74ef4704fce949c39b20811b82bb1e9c7575dd6b5ce6b0561751a560a1aaca6547415badd5188f6 SHA512 dad5872c82fb9fd961dc06d173610f60d0e05b4c05428e3410beb5a6cdf05de27704edf805e7db80c4031409af5d7d59e7abe43cef7aa11fd9d086b1c6e8e761
DIST Archive_Tar-1.4.3.tgz 20682 BLAKE2B a2e840087178fb55719634198852d191aef24139f819e3c478883fd007f6e72f523700617c7ff2c3d92a3ebe36a237b0eb7544dfe86dec394587ee0b3743520f SHA512 62e60d59266c5d19b131f769f4d71d4cee6bf8964b0c6610c4f1381500ced582865bff26c608479b2678dda1e7407ba39a7ec84b31fed13e3875f1947ce5bd6c

@ -0,0 +1,31 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
MY_PN="${PN/PEAR-/}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Tar file management class"
HOMEPAGE="http://pear.php.net/package/${MY_PN}"
SRC_URI="http://pear.php.net/get/${MY_P}.tgz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
IUSE=""
# bzip2 and zlib are needed for compressed tarballs, and there's one
# call to preg_match to test paths against a pattern of files and
# directories that will be ignored.
RDEPEND="dev-lang/php:*[bzip2,pcre(+),zlib]"
PDEPEND="dev-php/PEAR-PEAR"
DEPEND=""
S="${WORKDIR}/${MY_P}"
src_install() {
insinto /usr/share/php
doins -r Archive
dodoc docs/*
}

@ -1 +1,2 @@
DIST PEAR-1.10.5.tgz 291151 BLAKE2B b9095e6e488348917846693769f075c898271f2b65fbc69781247e8f46bf41afa4dfeb98d66c1aabce884e24c91bda50af3766745c3b8b5101aa54595e53c796 SHA512 c310fa8ec72ba201313dc03953ec1eba82daa137b27eac880fd5388dce72d38e6aa40737da43c3ad41db4df0d6717c7d77cf477d64b29245854ae95d2a94c364
DIST PEAR-1.10.6.tgz 291529 BLAKE2B 7a75c89df2b34b368564e745a727292e5c5ee3a145995c15d338901b235664d0a783ca0efc9cd1d321cc2c496e88395db376ce7bbd6ccbf55d484d7f1021cd2b SHA512 ccd436a2cb9d30b434a78483432c51a8fa5b3e96e79ca3b28131b8dcd37bbae0b782efd762eb92dc40db24d3f61025c64ec5d29aed10fd80a6b28c224c4f1e2a

@ -0,0 +1,177 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
MY_PN="${PN/PEAR-/}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="PEAR Base System"
HOMEPAGE="http://pear.php.net/package/${MY_PN}"
SRC_URI="http://pear.php.net/get/${MY_P}.tgz"
LICENSE="MIT"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
SLOT="0"
IUSE=""
DEPEND=""
RDEPEND="dev-lang/php:*[cli,xml,zlib]
>=dev-php/PEAR-Archive_Tar-1.4.0
>=dev-php/PEAR-Console_Getopt-1.4.1
dev-php/PEAR-Exception
>=dev-php/PEAR-Structures_Graph-1.1.0
>=dev-php/PEAR-XML_Util-1.3.0"
S="${WORKDIR}/${MY_P}"
PATCHES=( "${FILESDIR}/gentoo-libtool-mismatch-fix-v2.patch" )
pkg_setup() {
[[ -z "${PEAR_CACHEDIR}" ]] && PEAR_CACHEDIR="${EPREFIX}/var/cache/pear"
[[ -z "${PEAR_DOWNLOADDIR}" ]] && PEAR_DOWNLOADDIR="${EPREFIX}/var/tmp/pear"
[[ -z "${PEAR_TEMPDIR}" ]] && PEAR_TEMPDIR="${EPREFIX}/tmp"
elog
elog "cache_dir is set to: ${PEAR_CACHEDIR}"
elog "download_dir is set to: ${PEAR_DOWNLOADDIR}"
elog "temp_dir is set to: ${PEAR_TEMPDIR}"
elog
elog "If you want to change the above values, you need to set"
elog "PEAR_CACHEDIR, PEAR_DOWNLOADDIR and PEAR_TEMPDIR variable(s)"
elog "accordingly in /etc/portage/make.conf and re-emerge ${PN}."
elog
}
src_prepare() {
default
# Exception.php is part of dev-php/PEAR-Exception.
rm PEAR/Exception.php || die "failed to remove PEAR/Exception.php"
}
src_install() {
insinto /usr/share/php
doins -r PEAR/
doins -r OS/
doins PEAR.php System.php
doins scripts/pearcmd.php
doins scripts/peclcmd.php
newbin scripts/pear.sh pear
newbin scripts/peardev.sh peardev
newbin scripts/pecl.sh pecl
# adjust some scripts for current version
[[ -z "${PEAR}" ]] && PEAR="${PV}"
for i in pearcmd.php peclcmd.php ; do
sed "s:@pear_version@:${PEAR}:g" -i "${D}/usr/share/php/${i}" \
|| die "failed to sed pear_version"
done
for i in pear peardev pecl ; do
sed "s:@bin_dir@:${EPREFIX}/usr/bin:g" -i "${D}/usr/bin/${i}" \
|| die "failed to sed @bin_dir@ in ${i}"
sed "s:@php_dir@:${EPREFIX}/usr/share/php:g" -i "${D}/usr/bin/${i}" \
|| die "failed to sed @php_dir@ in ${i}"
done
sed "s:-d output_buffering=1:-d output_buffering=1 -d memory_limit=32M:g" \
-i "${D}/usr/bin/pear" \
|| die "failed to set PHP ini values in pear executable"
sed "s:@package_version@:${PEAR}:g" \
-i "${D}/usr/share/php/PEAR/Command/Package.php" \
|| die "failed to sed @package_version@"
sed "s:@PEAR-VER@:${PEAR}:g" \
-i "${D}/usr/share/php/PEAR/Dependency2.php" \
|| die "failed to sed @PEAR-VER@ in Dependency2.php"
sed "s:@PEAR-VER@:${PEAR}:g" \
-i "${D}/usr/share/php/PEAR/PackageFile/Parser/v1.php" \
|| die "failed to sed @PEAR-VER@ in v1.php"
sed "s:@PEAR-VER@:${PEAR}:g" \
-i "${D}/usr/share/php/PEAR/PackageFile/Parser/v2.php" \
|| die "failed to sed @PEAR-VER@ in v2.php"
# finalize install
insinto /etc
newins "${FILESDIR}"/pear.conf-r2 pear.conf
sed "s|s:PHPCLILEN:\"PHPCLI\"|s:${#PHPCLI}:\"${PHPCLI}\"|g" \
-i "${D}/etc/pear.conf" \
|| die "failed to sed PHPCLILEN in pear.conf"
sed "s|s:CACHEDIRLEN:\"CACHEDIR\"|s:${#PEAR_CACHEDIR}:\"${PEAR_CACHEDIR}\"|g" \
-i "${D}/etc/pear.conf" \
|| die "failed to sed CACHEDIRLEN in pear.conf"
sed "s|s:DOWNLOADDIRLEN:\"DOWNLOADDIR\"|s:${#PEAR_DOWNLOADDIR}:\"${PEAR_DOWNLOADDIR}\"|g" \
-i "${D}/etc/pear.conf" \
|| die "failed to sed DOWNLOADDIRLEN in pear.conf"
sed "s|s:TEMPDIRLEN:\"TEMPDIR\"|s:${#PEAR_TEMPDIR}:\"${PEAR_TEMPDIR}\"|g" \
-i "${D}/etc/pear.conf" \
|| die "failed to sed TEMPDIRLEN in pear.conf"
# Change the paths for eprefix!
sed "s|s:19:\"/usr/share/php/docs\"|s:$(( ${#EPREFIX}+19 )):\"${EPREFIX}/usr/share/php/docs\"|g" \
-i "${D}/etc/pear.conf" \
|| die "failed to sed the docs path (prefix) in pear.conf"
sed "s|s:19:\"/usr/share/php/data\"|s:$(( ${#EPREFIX}+19 )):\"${EPREFIX}/usr/share/php/data\"|g" \
-i "${D}/etc/pear.conf" \
|| die "failed to sed the data path (prefix) in pear.conf"
sed "s|s:20:\"/usr/share/php/tests\"|s:$(( ${#EPREFIX}+20 )):\"${EPREFIX}/usr/share/php/tests\"|g" \
-i "${D}/etc/pear.conf" \
|| die "failed to sed the tests path (prefix) in pear.conf"
sed "s|s:14:\"/usr/share/php\"|s:$(( ${#EPREFIX}+14 )):\"${EPREFIX}/usr/share/php\"|g" \
-i "${D}/etc/pear.conf" \
|| die "failed to sed the PHP include path (prefix) in pear.conf"
sed "s|s:8:\"/usr/bin\"|s:$(( ${#EPREFIX}+8 )):\"${EPREFIX}/usr/bin\"|g" \
-i "${D}/etc/pear.conf" \
|| die "failed to sed the bin path (prefix) in pear.conf"
[[ "${PEAR_TEMPDIR}" != "/tmp" ]] && keepdir "${PEAR_TEMPDIR#${EPREFIX}}"
keepdir "${PEAR_CACHEDIR#${EPREFIX}}"
diropts -m1777
keepdir "${PEAR_DOWNLOADDIR#${EPREFIX}}"
insinto /usr/share/php/.packagexml
newins "${WORKDIR}/package.xml" "${MY_P}.xml"
}
pkg_config() {
# Update PEAR/PECL channels as needed, add new ones to the list if needed
elog "Updating PEAR/PECL channels"
local pearchans="pear.php.net pecl.php.net pear.symfony-project.com"
for chan in ${pearchans} ; do
# The first command may fail if, for example, the channels have
# already been initialized.
pear channel-discover ${chan}
pear channel-update ${chan} || die "failed to update channels: ${chan}"
done
}
pkg_postinst() {
pear clear-cache || die "failed to clear PEAR cache"
elog "Run 'emerge --config =${PF}' to automatically update the PEAR/PECL channels while online."
# Register the package from the package.xml file
# It is not critical to complete so only warn on failure
if [[ -f "${EROOT}usr/share/php/.packagexml/${MY_P}.xml" ]] ; then
"${EROOT}usr/bin/peardev" install -nrO --force \
"${EROOT}usr/share/php/.packagexml/${MY_P}.xml" 2> /dev/null \
|| ewarn "Failed to insert package into local PEAR database"
fi
}
pkg_prerm() {
# Uninstall known dependency
"${EROOT}usr/bin/peardev" uninstall -nrO "pear.php.net/PEAR"
}

Binary file not shown.

@ -1,2 +1,2 @@
DIST Bottleneck-0.8.0.tar.gz 1634340 BLAKE2B 9ec38acb7d2415139b144fd4985d801183e86ef6f938d4f5d6232201e50a2d447959c2a7cde00a13d5455da9292739e4f47448ad5e9c0263e0a8b03fdd70029f SHA512 5b03ce2d0df9d177534d3f1fa02f147b12b23f5fbaa3b2685d1e8b86848c96c54832e0b0b6364479841742785c0b23bcccb51a0ac95675c72efc39693121dcaf
DIST Bottleneck-1.0.0.tar.gz 363223 BLAKE2B 6dd8e18d14675c08010850091343856f2599de71ef57ff1b0bf1b748bc7f2e6d2d0fd0ad8ae1bc00dc38b9dd92676531b4564558b7ec0f9b79d2ebe4061a028a SHA512 b3edeec0b4c2beeebb08eed8cb7aabb92f736e47c657f1fa580ec36d839941d3d1955209b2286fd9d41c4941b46b97a27049c51bcf5a098d27a19881f570d2d6
DIST bottleneck-1.2.1.tar.gz 98920 BLAKE2B 02fd35eaa15761f2008e46c459d842cdb5ad16372a03ea51a82b775ae0fbfa81beb0f1f304dcf6565956dc2d6deded579d8e400eaa250f9ab639261c085a6525 SHA512 0299eb1a12d808f18b8c4259c2205b47b34af4c1245867ab0857eb34a1aad630507cd3307a16f522db461977bd3f70aca688fb6a62ae84d1f895d18165132781

@ -1,39 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
MY_PN="Bottleneck"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Fast NumPy array functions written in Cython"
HOMEPAGE="https://pypi.org/project/Bottleneck/"
SRC_URI="mirror://pypi/B/${MY_PN}/${MY_P}.tar.gz"
SLOT="0"
LICENSE="BSD"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
sci-libs/scipy[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
dev-python/cython[${PYTHON_USEDEP}]"
S="${WORKDIR}"/${MY_P}
python_prepare_all() {
emake cfiles
distutils-r1_python_prepare_all
}
python_test() {
cd "${BUILD_DIR}" || die
${PYTHON} -c "import bottleneck;bottleneck.test(extra_argv=['--verbosity=3'])" || die
}

@ -0,0 +1,29 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
DESCRIPTION="Fast NumPy array functions written in Cython"
HOMEPAGE="https://pypi.org/project/Bottleneck/"
SRC_URI="https://github.com/kwgoodman/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SLOT="0"
LICENSE="BSD"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="test"
RDEPEND="
>=dev-python/numpy-1.9.1[${PYTHON_USEDEP}]
sci-libs/scipy[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/nose )"
python_test() {
${EPYTHON} ./tools/test-installed-bottleneck.py
}

@ -1,2 +1,3 @@
DIST colorama-0.3.3.tar.gz 22765 BLAKE2B 3dc399c3a073fba825e85c667c6af1a5b8777dc65ff5ae8fcdb7fe6d20a3193ff391a28140ee90316893250a61b77bd8efca9df03ae88c7f20c24545c8f30e4c SHA512 8e6177ea60ab8f1267ce982f23803a9d2eb0c4550d7eac4776416d62a99d1ce03254fc64cc959ca95e2409ceeff081d4d19359c383e969dfb921b44c56914495
DIST colorama-0.3.9.github.tar.gz 122180 BLAKE2B 0ef1b2876a8d790e434548649d34bc38940eb48883080168d11cca79fc17c2cab258831ac2660be69eca28000864d617cb4a448558f8e473bca22cce090a8e03 SHA512 7bf6ec19181431d91f5c7a5334d01f9934d4555004e985f82ad74fc325c465339a4c3fdf017af6e0682e0b22e2bf78938cd222b670e5035f305d2d616b03d1d1
DIST colorama-0.3.9.tar.gz 25053 BLAKE2B f633a188d032c41d0b6de60540ca1774dd8f3e8fe2e558333baf09855db30fa7a7ade5944ff12e4ca1a3685930d10a02009162733666d711ad25a16ee96ace55 SHA512 248e3d3d1f95cb85baf55ef4d705508213b81edfb04b39fe9a7bc9c7ac564986726ab6e9d9f73d64ee02e1c9b86d4c6bba40543590dbd170180a37d69e07b627

@ -0,0 +1,43 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6,7}} )
inherit distutils-r1
DESCRIPTION="ANSI escape character sequences for colored terminal text & cursor positioning"
HOMEPAGE="
https://pypi.org/project/colorama/
https://github.com/tartley/colorama
"
# https://github.com/tartley/colorama/pull/183
SRC_URI="https://github.com/tartley/${PN}/archive/${PV}.tar.gz -> ${P}.github.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="examples test"
BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}] )
"
python_install_all() {
distutils-r1_python_install_all
if use examples; then
docinto examples
dodoc -r demos/.
docompress -x /usr/share/doc/${PF}/examples
fi
}
python_test() {
# Some tests require stdout to be a TTY
# https://github.com/tartley/colorama/issues/169
script -eqc "pytest -vv -s" /dev/null \
|| die "tests failed with ${EPYTHON}"
}

@ -1 +0,0 @@
DIST django-celery-3.1.17.tar.gz 79615 BLAKE2B bf3d35fe281939f272bd5232b96d4db547ade3a68fe560a2479ff2dc4104110274862a3c1d1ad0a30d91f4cfa9bff8208775d3e0267544b5b415df52eeb3f0ad SHA512 fa68c85ee0eea778c5921c0373f3e7547bc644cd11d83e659fdf9bf4a80e317faca12ad3941225b073609a4716c5b9574d85c5c7063cff0fdb3deb0f1b86d225

@ -1,56 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_{4,5}} )
PYTHON_REQ_USE="sqlite(+)"
inherit distutils-r1 eutils
DESCRIPTION="Celery Integration for Django"
HOMEPAGE="http://celeryproject.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc examples test"
# Python testsuite fails when built against dev-python/django-1.8.5
# with ValueError: save() prohibited to prevent data loss due to
# unsaved related object 'interval'.
RDEPEND="
>=dev-python/celery-3.1.15[${PYTHON_USEDEP}]
>dev-python/django-1.4[${PYTHON_USEDEP}]
<dev-python/django-1.9[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/django-nose[${PYTHON_USEDEP}]
>=dev-python/coverage-3.0[${PYTHON_USEDEP}]
dev-python/nose-cover3[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/python-memcached[${PYTHON_USEDEP}] )
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-issuetracker[${PYTHON_USEDEP}]
dev-python/python-memcached[${PYTHON_USEDEP}]
)"
python_compile_all() {
use doc && emake -C docs html
}
python_test() {
# https://github.com/celery/django-celery/issues/342
"${PYTHON}" tests/manage.py test || die
}
python_install_all() {
use doc && local HTML_DOCS=( docs/.build/html/. )
use examples && local EXAMPLES=( examples/. )
distutils-r1_python_install_all
}

@ -1,12 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<upstream>
<remote-id type="pypi">django-celery</remote-id>
<remote-id type="github">github/django-celery</remote-id>
</upstream>
</pkgmetadata>

@ -1,3 +1,3 @@
DIST Fabric-1.14.0.tar.gz 219294 BLAKE2B e4f8512fd5f84dacccdafbde51ed109fd7128954635ea67ed7461f686769c107cfa6bf0181921aea5db214ffb9fb52c7f0de88c5edbbdd63258e8c280e37c70d SHA512 3bb90597356ac033e5a9bba668ec8b080ee10cac31f54b1e89b6e2e21550ba5f2341e774ed9ff52c3a4ecbc3bae3206d155c6bfe6678576caca8e439c7810ed9
DIST fabric-1.14.0-completion.bash 4266 BLAKE2B b691b34d3a62ab8a70d184fe89150d50a0817df0619cfcb4a82dcda485b0a77bb33b5f7e548b1c50ddf8c9c9ae48721c9621e0ca6ed4396dea2f9a0e1ae61931 SHA512 2303e3b6a71ac8f6a61ce3bd464f3c950db8374b61a6375ccc6fbb2dc815a4a44509a034788862bd361ace7c0f401533cd5cee0fb6fca8d9ff7e0ffd143706a3
DIST fabric-2.2.2.tar.gz 146579 BLAKE2B b3517bc95b9b15f08091b52b7f45326aa9ff85999000dbcaf8a22cf2af84e3bf4cc4094fe1627e3c5dc86cf2d98a3ac6456488b788ca1b756af301321eeb7165 SHA512 917be063ee49f6a6b06dd1e2829f47221bf2b7a591d4fcc5175766291a2d2a5026d5a92812d11592556d2945b8668d1bef3a8c43809a6c0fae4b143a68f5eb1a
DIST fabric-2.3.1.tar.gz 148829 BLAKE2B 65df8856d7d7ae61ad045ee7710c1aa0517b3be63751380d349c27c4ca4667a9179ae4e7f14612d7fec71cf90de5c98d7c7867508e56717235703c688c54a4e2 SHA512 8341869004b9ec2ac4459245af30b06f8f693f696339ec08aa83a9d56069379390a89f6e04f66ea3f064436d9184de0435a8fb283db8ec5a815471684889dad9

@ -18,16 +18,14 @@ IUSE="doc fab2 test"
RDEPEND="
!fab2? ( !dev-python/fabric:0 )
>=dev-python/cryptography-1.1[${PYTHON_USEDEP}]
>=dev-python/invoke-1.0[${PYTHON_USEDEP}]
<dev-python/invoke-2.0
dev-python/cryptography[${PYTHON_USEDEP}]
<dev-python/invoke-2[${PYTHON_USEDEP}]
>=dev-python/paramiko-2.4[${PYTHON_USEDEP}]"
BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
doc? (
>=dev-python/alabaster-0.7[${PYTHON_USEDEP}]
<dev-python/alabaster-2.0[${PYTHON_USEDEP}]
dev-python/alabaster[${PYTHON_USEDEP}]
>=dev-python/sphinx-1.4[${PYTHON_USEDEP}]
<dev-python/sphinx-1.7[${PYTHON_USEDEP}]
)

@ -0,0 +1,50 @@
##Skipping tests due to connection failures on Fedora build-system
##See https://github.com/PythonCharmers/python-future/issues/165
--- a/tests/test_future/test_standard_library.orig.py 2014-11-21 12:52:03.000000000 +0100
+++ b/tests/test_future/test_standard_library.py 2015-09-02 11:37:36.808826777 +0200
@@ -318,7 +318,7 @@
import builtins
self.assertTrue(hasattr(builtins, 'tuple'))
- # @unittest.skip("ssl support has been stripped out for now ...")
+ @unittest.skip("ConnectionError: ('Connection aborted.', gaierror(-3, 'Temporary failure in name resolution'))...")
def test_urllib_request_ssl_redirect(self):
"""
This site redirects to https://...
@@ -332,6 +332,7 @@
# pprint(r.read().decode('utf-8'))
self.assertTrue(True)
+ @unittest.skip("ConnectionError: ('Connection aborted.', gaierror(-3, 'Temporary failure in name resolution'))...")
def test_moves_urllib_request_http(self):
"""
This site (python-future.org) uses plain http (as of 2014-09-23).
@@ -343,6 +343,7 @@
data = r.read()
self.assertTrue(b'</html>' in data)
+ @unittest.skip("ConnectionError: ('Connection aborted.', gaierror(-3, 'Temporary failure in name resolution'))...")
def test_urllib_request_http(self):
"""
This site (python-future.org) uses plain http (as of 2014-09-23).
--- a/tests/test_future/test_requests.orig.py 2014-11-21 12:52:03.000000000 +0100
+++ b/tests/test_future/test_requests.py 2015-09-02 11:39:01.509378296 +0200
@@ -57,6 +57,7 @@
This class tests whether the requests module conflicts with the
standard library import hooks, as in issue #19.
"""
+ @unittest.skip("ConnectionError: ('Connection aborted.', gaierror(-3, 'Temporary failure in name resolution'))...")
def test_remove_hooks_then_requests(self):
code = """
from future import standard_library
@@ -79,6 +80,7 @@
self.assertTrue(True)
+ @unittest.skip("ConnectionError: ('Connection aborted.', gaierror(-3, 'Temporary failure in name resolution'))...")
def test_requests_cm(self):
"""
Tests whether requests can be used importing standard_library modules

@ -0,0 +1,43 @@
commit ce4f015978d250718ec8dd9f50721da90a9bd18b
Author: Louis Sautier <sautier.louis@gmail.com>
Date: Mon Aug 20 12:42:29 2018 +0200
Skip int() keyword tests with Python 3.7
The first argument must be positional since
https://github.com/python/cpython/commit/2e5642422f6234fd8d0c082142b27340e588f96e
diff --git a/tests/test_future/test_int.py b/tests/test_future/test_int.py
index f1d9c5d..e306550 100644
--- a/tests/test_future/test_int.py
+++ b/tests/test_future/test_int.py
@@ -265,6 +265,9 @@ class IntTestCases(unittest.TestCase):
def test_no_args(self):
self.assertEqual(int(), 0)
+ @unittest.skipIf(sys.version_info >= (3, 7),
+ "The first parameter must be positional with Python >= 3.7"
+ )
def test_keyword_args(self):
# Test invoking int() using keyword arguments.
self.assertEqual(int(x=1.2), 1)
commit d7a3451753982d944ae0894c9e9f01d0460d03d5
Author: Louis Sautier <sautier.louis@gmail.com>
Date: Mon Aug 20 11:17:59 2018 +0200
Make test_bad_status_repr work for Python 3.7
diff --git a/tests/test_future/test_httplib.py b/tests/test_future/test_httplib.py
index 968e933..a1e2b19 100644
--- a/tests/test_future/test_httplib.py
+++ b/tests/test_future/test_httplib.py
@@ -197,7 +197,7 @@ class BasicTest(TestCase):
if not utils.PY3:
self.assertEqual(repr(exc), '''BadStatusLine("u\'\'",)''')
else:
- self.assertEqual(repr(exc), '''BadStatusLine("\'\'",)''')
+ self.assertIn(repr(exc), ('''BadStatusLine("''",)''', '''BadStatusLine("''")'''))
def test_partial_reads(self):
# if we have a length, the system knows when to close itself

@ -0,0 +1,52 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
inherit distutils-r1
DESCRIPTION="Easy, clean, reliable Python 2/3 compatibility"
HOMEPAGE="http://python-future.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~amd64-fbsd ~x86-linux"
IUSE="doc test"
BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]
)
test? (
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
)
"
PATCHES=(
# https://github.com/PythonCharmers/python-future/issues/165
"${FILESDIR}/${P}-disable-tests-with-internet-connection.patch"
# https://github.com/PythonCharmers/python-future/pull/355
"${FILESDIR}/${P}-fix-tests-py37.patch"
)
python_prepare_all() {
sed -i "/'sphinx.ext.intersphinx'/d" docs/conf.py || die
distutils-r1_python_prepare_all
}
python_compile_all() {
if use doc; then
sphinx-build docs/ docs/_build/html || die
HTML_DOCS=( docs/_build/html/. )
fi
}
python_test() {
pytest -vv || die "Tests failed under ${EPYTHON}"
}

@ -13,7 +13,7 @@ SRC_URI="https://gstreamer.freedesktop.org/src/${PN}/${P}.tar.xz"
LICENSE="LGPL-2+"
SLOT="1.0"
KEYWORDS="alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
KEYWORDS="alpha amd64 arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}

@ -1,2 +1,3 @@
DIST hiro-0.2.tar.gz 9384 BLAKE2B 1acf2bc8a02206e3591de77332ae62f1c635b82b2ef076fb820e49b4e696959b293ceb304701c069afb2437e871bcacebeb1da8b16a75bc8d9b4ffaae84ff540 SHA512 69a66223e678c87363ac4beab8a58bec7976b93fe1b354ac1030842e31463adda84f444732ac48868f6b4f11f4a132a1142889466474bff2a77964449c710b65
DIST hiro-0.3.tar.gz 9355 BLAKE2B e13119e33396436c35eb7b73549af956b63ab57abbc69589c7abdd97a3e5355922f5697f2d751d3a3507bff60ac162d47541ca85a34a0c77f611c6785515f959 SHA512 c5ace67410ac0e946aa7f93b61448760ab9bba5610621a585f17d1ad99444161a2495a73e20b67d50f1b8b0a4c1b54a9f25732319431905891b7c5fc58c6000d
DIST hiro-0.5.tar.gz 11022 BLAKE2B b09f5f27b82b5e435823f69ef4dd3e325be39175955fdbd8ce5b3278a7d3879548955676201473f8b61959220e4d9aee1737dce40d2989e1d34fd772aa4bec39 SHA512 0cc84a1da36bbd2f1f59635c26530813f2c48a44fb735c56dbed9d5cc53da52341a60cf21e1796777b5e66bae628fe2ecaf5fce6a9ca6b5d2577d77bf2c8a4ef

@ -0,0 +1,24 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="Time manipulation utilities for Python"
HOMEPAGE="https://github.com/alisaifee/hiro"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="
dev-python/mock[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]"
DEPEND="
${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"

@ -1,2 +1,3 @@
DIST joblib-0.10.0.tar.gz 480797 BLAKE2B 68ec29df4470e69a430a329f85b96448d29e11d09b9fcee03451ed9d0607ab61af4db6b0973c6a56c49a12120c082dca056d5fb37d88ae1e53c40b8d9a5e2d6d SHA512 a1f06c531973cb6f8af2c3fa62eaa18204a16ddc56b05de38cf84f7882f4820d30306f4aba52241f57f43c46c2b2bdd6c66459cf6bfa9c893b5750ac059c41a9
DIST joblib-0.11.tar.gz 213136 BLAKE2B f23260ff16fab1ec775fe6e31c824f33cd6c465bceb84a7c7e0aff4ab4a4006b5f13d22d4c969b111aeb440dfc292e41ab7273a9fb7f1c9b337b4fa0e8b52d4e SHA512 8374a1e2445b9734a5af1d9f17fda057722f4e9e257819084aa7028866a8780f358fcbab131b13c2af315bbd953f8474e4ea698efdeda2be8699c3c471d9465a
DIST joblib-0.12.2.tar.gz 289249 BLAKE2B 247a8bce753ece235877540b829bdc9546b3a6d7610b09592217bf9d47fd038a5e75f649224b76832825e77d76ae46443984de3d83558cdbd4d816d8f610e8b0 SHA512 9bf93c89681f59d17e735c228d3379df5dff67b4365b59ddea1a062f9547c376e5870e4ece83af8e7cda1ae30e2a2893a4a009e03b7fec798d3574e8ab060267

@ -0,0 +1,45 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
inherit distutils-r1
DESCRIPTION="Tools to provide lightweight pipelining in Python"
HOMEPAGE="https://pythonhosted.org/joblib/
https://github.com/joblib/joblib"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc test"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? ( dev-python/nose[${PYTHON_USEDEP}] )"
RDEPEND=""
python_compile_all() {
if use doc; then
sphinx-build -b html -c doc/ doc/ doc/html || die "docs failed installation"
fi
}
python_test() {
# https://github.com/joblib/joblib/issues/143
if [[ "${EPYTHON}" == pypy ]]; then
sed -e 's:test_func_inspect_errors:_&:' -i ${PN}/test/test_func_inspect.py || die
sed -e 's:test_parallel_pickling:_&:' -i ${PN}/test/test_parallel.py || die
fi
py.test -v
}
python_install_all() {
use doc && local HTML_DOCS=( doc/html/. )
distutils-r1_python_install_all
}

@ -1 +1,2 @@
DIST jsmin-2.2.1.tar.gz 12542 BLAKE2B 17586d8f9f7a5725a8fcae041a63fcf0d7a297fedc19271a1db417b1f847abfa30477d256aed474fca73e9e1484b47368458bfe2469dd5166b9b25535cbd4c10 SHA512 b70a72d5dbe37b34cac186967b151a79573bc060a1b814645b6d58499ec0e087f7a5941b00755258cb05e8a092f05b614de1253038140e773102f5312fa6a3c7
DIST jsmin-2.2.2.tar.gz 12705 BLAKE2B ff14d28c753443c4a17e19b7205b739d5a177eeb8074e4b16c7ae7e5f816758e1f54e07ceddf90dde70cc2752f9dadee0dc71754b2de3343256f3b1695187bba SHA512 e4fea940d7b5e1c0d7dacad70d90a242a8ba178423c886eb60ed7a36b1fba9ca67b5118f26e9a96058b86d3f612d40a21e62cdccd5858a2012a8f222fad3277d

@ -0,0 +1,23 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
inherit distutils-r1
DESCRIPTION="JavaScript minifier"
HOMEPAGE="https://pypi.org/project/jsmin/ https://github.com/tikitu/jsmin/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
IUSE=""
LICENSE="MIT"
SLOT="0"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
"${PYTHON}" -m ${PN}.test || die
}

@ -21,7 +21,10 @@ RDEPEND="
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
test? (
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/simplejson[${PYTHON_USEDEP}]
)"
S="${WORKDIR}/${MY_P}"

@ -1 +1,2 @@
DIST Paver-1.2.4.tar.gz 328794 BLAKE2B f81db3fa8fae72b9719b51d0643ba9495734bc351a6b3d5e86ba6f4afd778cf70157c427cc8e7741828c97197d8961c10f49dcd92b6fb22c810c73a2d26a2668 SHA512 ba737f2da0582d4c3364b654a79d9868bb394fcbf1102feea3604821a65075631fbdb7b767ba8977f3231bcb6cf167abd994fb1dd9fd080046ea8bcfde8cdeb7
DIST Paver-1.3.4.tar.gz 446425 BLAKE2B 6ed6014e45d0d54f5323fba7a2aa713f860b6d8a7e6ed2d409f17e02b245b516196cf298602dea98022efc640cb2a94fddec060a396d02807fb872240a3bff3e SHA512 f29d6a67ebae8100f3dc7f7cea06acf5606c4c3691be49a86cd85ff69aecff4441c28e41ce5e1b79050d32946f9bb55b213e68ee966ffc0ae1e0b0bea4871aa7

@ -0,0 +1,41 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
inherit distutils-r1
MY_PN=${PN/p/P}
MY_P=${MY_PN}-${PV}
DESCRIPTION="Python-based software project scripting tool along the lines of Make"
HOMEPAGE="http://www.blueskyonmars.com/projects/paver/ https://github.com/paver/paver"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos ~x86-macos"
IUSE="test"
RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
DEPEND="
${RDEPEND}
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
)"
S="${WORKDIR}/${MY_P}"
python_prepare_all() {
# https://github.com/paver/paver/issues/143#issuecomment-103943327
find paver/tests -name '*.pyc' -delete || die
distutils-r1_python_prepare_all
}
python_test() {
nosetests || die "Testing failed with ${EPYTHON}"
}

@ -1,2 +1,3 @@
DIST prometheus_client-0.2.0.tar.gz 41574 BLAKE2B c8e0288f37d1d3e6548283105dd6ba1e4cae5a6f1846c776538de1a68a2eebe6387f8212631c07f2c37839204262d0f555f1a5edb624c0d7418753123c296ca4 SHA512 7336d8294ef91dfebe91f325a882105cdaf947de212bff651d1c3ebfc139d9045b7f637ea44b18e921a9f2ad9af554aee28587e57b1202b5a30c49b1a765ba4c
DIST prometheus_client-0.3.0.tar.gz 42186 BLAKE2B 14b116d89493d6c6f04a598accaf5203e30358e93ab666a3025f4436df8dda22265cf86920b149d345aec74870e416360862f64dac9a34b5e8ceccd61b4100a2 SHA512 fa16108428a8531977c3f56fbe564a965c91048d08035d046de6d80f61744f678872d9f4f4108970a047aa6e3ca1b7aa892015a71f49d146cc0a5a8c7a7eba3b
DIST prometheus_client-0.3.1.tar.gz 43185 BLAKE2B 07c69ca13f45c502870dd1eb5934413d71b5e53a5fde7c565414b570a20de183ae1bdda11a34e1c84b874cb5b8491128ff47046632913aaae1c865b0868142aa SHA512 939a985bcf6b377d353871333634ab1641f50288c531ab70b3e5e5466362c02012ae6cf0adf889dac96a89fc5ce29462aa62e651ce21c15d40647d6465baab1a

@ -0,0 +1,27 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="Python client for the Prometheus monitoring system"
HOMEPAGE="https://pypi.org/project/prometheus_client/"
SRC_URI="https://github.com/prometheus/client_python/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
S=${WORKDIR}/client_python-${PV}
RDEPEND="|| ( dev-python/twisted[${PYTHON_USEDEP}] dev-python/twisted-web[${PYTHON_USEDEP}] )"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( ${RDEPEND}
dev-python/pytest[${PYTHON_USEDEP}] )"
python_test() {
pytest || die
}

@ -2,3 +2,4 @@ DIST protobuf-3.4.1.tar.gz 4490100 BLAKE2B e2bc1ef2ee1a0af44830b3c65a6c9e73883fe
DIST protobuf-3.5.1.1.tar.gz 4584489 BLAKE2B 995ee2f06a6358e9935b488269ee50f0dccede417c1757828b0108fbe8c67034301f3a9cb87517430acd9838ae71bb677f4edd8b59b2418f99c15d8ea3d33591 SHA512 f25ecf772facc8efd196b7c06012ce9ec24152b2c0cde38ed2e29ecded8f534221b008e649f4cbd991436ad3436130cd2e31d51e75019d08240d518111fb4496
DIST protobuf-3.5.2.tar.gz 4584659 BLAKE2B f582212169d802a5844574eb900c9f8cbb343b7e73f2074e5ff0bfc544ebd13f4bc2b78271fb70f4465d78fdc39972ed68339f453c0d3ffe98d8564fbf520544 SHA512 09d10cf0c07a0ba249428bbf20f5dbed840965fa06b3c09682f286a4dee9d84bb96f3b5b50e993d48ef1f20440531255ce7d0e60a648bf3fe536a5f2b0b74181
DIST protobuf-3.6.0.1.tar.gz 4483964 BLAKE2B 8afc1e4f4a6eba0eb453fa7cbee8e8ab4986ab9dda39a0005de9d07ec4bd4fd27a5af4ab359b139b4117a5da580be6da3387295266625ee8cc7ec9421c5c0235 SHA512 63cd799d5d6edbb05a87bc07992271c5bdb9595366d698b4dc5476cc89dc278d1c43186b9e56340958aefea2ce23e15a9c3a550158414add868b56e789ceafe4
DIST protobuf-3.6.1.tar.gz 4485582 BLAKE2B 546c49759df784018459809b9db692c5c94aef5d717183af5cd9edd96b4c658e759f23950cdcd5dddceaaad06ea1de2a2357b9fa8c496ed5d538fc5920174da0 SHA512 1bc175d24b49de1b1e41eaf39598194e583afffb924c86c8d2e569d935af21874be76b2cbd4d9655a1d38bac3d4cd811de88bc2c72d81bad79115e69e5b0d839

@ -0,0 +1,50 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
inherit distutils-r1
DESCRIPTION="Google's Protocol Buffers - Python bindings"
HOMEPAGE="https://developers.google.com/protocol-buffers/ https://github.com/google/protobuf"
SRC_URI="https://github.com/google/protobuf/archive/v${PV}.tar.gz -> protobuf-${PV}.tar.gz"
LICENSE="BSD"
SLOT="0/17"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x86-macos"
IUSE=""
DEPEND="${PYTHON_DEPS}
~dev-libs/protobuf-${PV}
dev-python/namespace-google[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}
!<dev-libs/protobuf-3[python(-)]"
S="${WORKDIR}/protobuf-${PV}/python"
python_prepare_all() {
eapply -p2 "${FILESDIR}/${PN}-3.5.2-google.protobuf.pyext._message.MessageMeta.patch"
distutils-r1_python_prepare_all
}
python_configure_all() {
mydistutilsargs=(--cpp_implementation)
}
python_compile() {
python_is_python3 || local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
distutils-r1_python_compile
}
python_test() {
esetup.py test
}
python_install_all() {
distutils-r1_python_install_all
find "${D}" -name "*.pth" -delete || die
}

@ -2,3 +2,4 @@ DIST py-1.4.30.tar.gz 191796 BLAKE2B 1d908f5f29788868cb7c4da49bc8a9343176030df45
DIST py-1.4.34.tar.gz 194450 BLAKE2B 3e5733bb53d4f7eb8e6d43a5140f2ddf692d4272b564a9dd4fe8ede2cb4d0296e7c8764957bf4615f5cc4272d07997d126133dfce8ac8837f01d91bf557023d2 SHA512 2e19c82c8315274bffe0ba2c7e20ae3af95f942c40c16121ec953af186f8ff33e8f427c070e137bb04b7cc6dcc6779e35df3911c08595fd3294b5ec9897706e1
DIST py-1.5.2.tar.gz 189542 BLAKE2B f0c5995121492ebca7bab9e73b7db61edf014be8e7d76822c72ded9ea19dd647dc0a83cbbcbf732c4ddae9070126cecb00958b623ca43d2219b7be8519b5b58e SHA512 ad92110d56caba2be44c6759350b05ceb882165ad0f58e6cce8361273be874b20b01856d685b142a83edff77b41bcce2911cf5797db5253b4f3e9b36e703c07d
DIST py-1.5.3.tar.gz 202335 BLAKE2B 6a7ef206bddd641cb5e2fe04966ae93db96a7ff757fcde604f8fd2d36c4a03ce5955c2f445a866dd5cd83026ab2a9fa17feeb0da0df3d40d9746c19d865f6325 SHA512 243c0da94c439163257c525ef00b30fd6d8add5897121ee0b1f19476b50f18823ce2b99a5ab27a9cf47598b538758d0534060123dce0820d2a65d98046548c96
DIST py-1.5.4.tar.gz 201448 BLAKE2B 3d9f71ba53c8004d4745be984e0a3b81c98f38fdcd7703c39286c53bb167a803aa92b3b0897e407f6ee98d2b870838a27b507ad8e6cceab7b22c8e7229bb6581 SHA512 45424b133be3e78ccab48e74daa6ca6a76fca283bd3a51d50c91e911c509a2c45de4fcc7c8c15f33620d61ee16dfc3969fdd78d8839e96f52897e97b1ad624c4

@ -0,0 +1,46 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
inherit distutils-r1
DESCRIPTION="library with cross-python path, ini-parsing, io, code, log facilities"
HOMEPAGE="https://pylib.readthedocs.io/en/latest/ https://pypi.org/project/py/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="doc test"
RDEPEND=""
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}] )
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
PATCHES=( "${FILESDIR}"/${PN}-1.5.2-skip-apiwarn-pytest31.patch )
python_prepare_all() {
sed -e 's:intersphinx_mapping:#&:' -i doc/conf.py || die
distutils-r1_python_prepare_all
}
python_compile_all() {
use doc && emake -C doc html
}
python_test() {
# 1 failure, test_comments, under both pypy only.
# Also appears the home repo has no issue tracker.
[[ "${EPYTHON}" == pypy ]] && return
py.test -v -v || die "testing failed with ${EPYTHON}"
}
python_install_all() {
use doc && local HTML_DOCS=( doc/_build/html/. )
distutils-r1_python_install_all
}

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mrueg@gentoo.org</email>
<name>Manuel Rüger</name>
</maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>

@ -1 +1,2 @@
DIST pyformance-0.3.4.tar.gz 19394 BLAKE2B 4bd141df5b3264ae8abb5b5314fcba93aeeab960e4d1d70631a3d5ac072f94a2da48b480f74c446124fb9fbd54a8ffad9c75b2352509aaf991025a02bf736648 SHA512 5dbc83da62bf66767eaaf316824cf5683488d8ee594b72baee327c4ef594f84b5aed07654da483aff29bee98605e5265425be88c165a4bb06e7bdddbbf28e440
DIST pyformance-0.4.tar.gz 20683 BLAKE2B d818832b7ff43a7e1db888bdb7dc333a532c7d3365dd472f9dbb3300f676cd3cc8f82f8d1c444aa277404ff8e72843eca35e3905542700ea37b1dad3e05c8b4c SHA512 a03324977b40f5097ae4608dd7c36bdbd2a20b261c9d3e32d1be19e5fca50e17fcc24df781b6c3ab60314534368c5e9cf08bc3863d4d2d7ecc59f9af26f8d20e

@ -0,0 +1,31 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
DESCRIPTION="Performance metrics, based on Coda Hale's Yammer metrics"
HOMEPAGE="https://pyformance.readthedocs.org/ https://github.com/omergertel/pyformance/ https://pypi.org/project/pyformance/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}] )"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
python_prepare() {
sed -i -e "s/find_packages()/find_packages(exclude=['tests'])/" setup.py || die
}
python_test() {
py.test || die
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save